SAP Knowledge Warehouse (Info DB 4.0)

Purpose

The Knowledge Warehouse provides an integrated environment for creating, translating, presenting, distributing and managing multimedia content.

Implementation Considerations

The Knowledge Warehouse provides a comprehensive set of tools and functions for knowledge management and knowledge transfer.

It also enables you to use and modify SAP training and the online documentation of the R/3 Library (SAP Library as of Release 4.6A) to create and deliver

  • customized on-site training
  • customized online help for your R/3 Systems.

Integration

Knowledge Warehouse content can be linked with application objects of the R/3 System for context-sensitive display in the R/3 online help (application help).

Features

The Knowledge Warehouse supports the full range of tasks involved in creating, translating, presenting, and delivering multimedia information. Its functions can be accessed with three front-ends:

SAPgui front-end

This component offers all the functions required for editing, managing, and presenting content. While many of them are also available in the PC-based authoring tool Knowledge Workbench, the following functions are available only in the SAPgui front-end:

  • linking content with R/3 application objects for context-sensitive online help
  • creating offline translation packages
  • printing training courses
  • creating offline presentations of training courses

In addition, most administrative functions of the Knowledge Warehouse are provided in this component, including, for example, configuration of the Knowledge Warehouse, control of the content development workflow, administration of access rights, etc.

Knowledge Workbench

For most authoring tasks the PC application Knowledge Workbench is more convenient to use than the SAPgui front-end. Apart from offering drag-and-drop interaction techniques for various tasks, the Knowledge Workbench has a few useful functions that are not provided in the SAPgui front-end.
For example, you can

  • create Knowledge Warehouse content from existing MS Powerpoint presentations
  • define default attribute values for new documents in the Knowledge Warehouse

Web browser

The web browser front-end is used for presentation purposes only. All documents of the Knowledge Warehouse can be displayed in the web browser.

Special-purpose components

In addition to the three front-ends the Knowledge Warehouse comprises two other PC components:

SAP Show presentation viewer

The PC application SAP Show is a viewer for offline presentations of individual training courses that were created with the SAPgui front-end.

Offline Translation

Translation Packages created with the SAPgui front-end are translated with MS Word and MS PowerPoint. Both applications are enriched with special add-ins to deal with the document management data of the Knowledge Warehouse documents contained in the translation packages.


Contents in the Knowledge Warehouse

All the contents managed in the Knowledge Warehouse are stored there as information objects.

Using structures (a special kind of information object) and hyperlinks you can assemble information objects in multimedia hyperdocuments, for example, in training courses.

Information objects with a common subject domain are collected and managed in folders.

Information objects belong to one of the following information areas:

  • Training
  • Documentation
  • Administration

Information areas in the Knowledge Warehouse denote the purpose for which the contents are used. Generally, information objects within an information area can be linked with each other using hyperlinks and structures, but information objects of different information areas cannot be linked. There is one exception to this rule: You can link from training objects to documentation objects.


Info Objects

Definition

There are two basic kinds of info objects in the Knowledge Warehouse:

  • Content objects
  • Structure objects

Content objects are independent units of information containing different kinds of information contents (text, graphs, audio-visual).

Structure objects contain links to other info objects and structural information about hierarchical relationships between the objects. They are used to create a structured presentation of a set of info objects and to navigate in these contents. Since structures, in contrast to content objects, do not contain any language information, they are not language-specific.

Use

Since content objects can be referenced in structures and with hyperlinks, they can be used as often as required.

Since structures can be referenced in other structures as a substructure, they can also be used more than once. A structure can be referenced by either a link or an include; in the latter case the structure display is transparent, that is the entire structure remains visible in the browser when you navigate from the initial structure to the included structure.

Each info object is assigned to exactly one folder containing all the versions of the object. Info objects can be referenced in the info objects of any other folders, even if they are not themselves contained in that folder.

Structure

Content objects are not assigned a technical, internal structure. However, the content objects of certain info categories can be classified and assigned an internal structure with the corresponding formatting.


Folders

Definition

A folder is a container in the Knowledge Warehouse in which info objects (structures and content objects) are stored. Each folder belongs to a particular info area of the Knowledge Warehouse: Training, Documentation or Management. Each info object is assigned to exactly one folder.

A folder contains all versions of an info object (release versions, language versions, etc.). Only the versions for the current context can be seen and changed in the Knowledge Warehouse.

Folders have the attributes:

  • Title (short description of the folder of up to 50 characters)
  • Technical name (language-independent folder name)
  • Owner
  • Folder group
  • Translation memory

Unlike info objects, folders have no versions: Folders are release-independent, language-independent, etc.

Use

Folders are used to structure info object storage according to content and workflow aspects.

The assignment of info objects and structures to a particular folder does not prevent them from being linked to by info objects maintained in other folders.

Only empty folders can be deleted.

The assignment of folders to folder groups is required for creating folder-dependent user authorizations.


Structure Links and Hyperlinks

Use

There are two ways to structure Knowledge Warehouse content:

  • With structures you can define a hierarchical order upon a collection of info objects and thus give users an overview of the content available.

Links in structures (structure links) can point to content objects as well as to other structures.

A structure link pointing to another structure can be of two different kinds: it can be either a normal structure link or a structure include. The difference between structure links and structure includes is that the structure displayed in the web browser does not change when users navigate to an included structure.
  • With hyperlinks you can express a relationship between two content objects and provide paths through the available content for users.

The hyperlinks contained in content objects always refer to other content objects, not to structures.

Both hyperlinks and structure links refer to logical info objects. The context parameters control the relationship between a logical link and a physical link. The user of the Knowledge Warehouse sets these context parameters, which are then analyzed when the info objects are displayed.

Integration

The logical links are replaced with physical links when a static display variant of info objects is created (e.g. for display with HTML Help). All links then point to physical info objects in a particular context (e.g. Language: English, Release: AB). This procedure is known as instantiation of the links.

Activities

You create and delete structure links by editing structures.

You create a hyperlink by inserting it into the particular content object being edited and remove it by deleting the hotspot from the content object.


Info Areas, Info Categories and Info Classes

There are a number of information categories, i.e. categories of info objects that can be used to create contents, in each of the information areas Training, Documentation and Administration.

Info Categories

The information category of an information object defines various properties of the object, such as

  • the attributes of the object
  • the relationships possible between the object and objects of other information categories
  • the file formats possible for the object.

Information objects of category Slide (in the info area Training) have the attribute Language, but information objects of category Structure do not. Objects of category Slide can have hyperlinks to other objects, but objects of category Multimedia object cannot. Objects of category Slide have source format PowerPoint while objects of category Text have source format Word.

Info Categories in the Info Area Training

The following info categories can be used for creating training material:

  • Structures

Structures are used to impose a hierarchical structure on the information objects in a training course. Structures are not language-specific.
  • Slides

Slides are the main type of content objects used in training courses. The source format (i.e. editing format) for slides is MS PowerPoint (PPT). The presentation format is HTML. The contents of slides are classified by the attribute info class.
  • Text

Texts are content objects that contain exercises and solutions in training courses. The source format (i.e. editing format) for text is MS Word (DOC). The presentation format is HTML. The contents of texts are classified by the attribute info class.
  • Multimedia objects

Multimedia objects are all the content objects in training courses that are neither slides nor text. Typically they comprise Lotus ScreenCams, Videos and other multimedia objects. Multimedia objects can be created and edited with any MS Windows application whose format is registered as a valid format for this info category in the Knowledge Warehouse. The source and presentation format of multimedia objects is the same. The editor (or a dedicated viewer) is also used for the presentation.

Info Categories in the Info Area Documentation

The following info categories can be used for creating documentation:

  • Structures

Structures are also used here to impose a hierarchical structure on a set of information objects. Structures are not language-specific.
  • Topics

Topics are the only category of content objects in the info area Documentation. The source format (i.e. editing format) for topics is MS Word (DOC). The presentation format is HTML. The contents of topics are classified by the attribute info class.

Info Categories in the Info Area Administration

Information objects of the following info categories are stored in the info area Administration:

  • Navigation structures

Navigation structures are used to combine and impose a hierarchical structure on a set of folders. Different Knowledge Warehouse user groups can thus be presented with different content hierarchies tailored to their specific needs.
  • Topics

Topics are content objects that can be inserted in navigation structures as a short description of a subhierarchy. The source format (i.e. editing format) for topics is MS Word (DOC). The presentation format is HTML.
  • Multimedia objects

Multimedia objects created with any MS Windows application can also be inserted in navigation structures.

The other info categories Macros and similar, Language-independent miscellaneous and Language-dependent miscellaneous are used for storing macros and templates used for creating contents in the areas Training and Documentation.

Info Classes

Content objects of categories Slide and Text in the area Training and category Topic in the area Documentation are assigned to different info classes depending on the contents. Templates that define the structure of the contents when the objects are created are connected with these info classes.

Information objects of category Slide in the information area Training can have info classes Title, Goal, etc.

Information objects of category Topic in the information area Documentation can have info classes Object, Procedure, etc.


Versioning Info Objects

Use

Several different versions are created when info objects are maintained in the Knowledge Warehouse:

  • When an information object is edited to correct, improve or update it for a new release, content versions are created
  • Translation of a content object into other languages creates language versions

Structures have no language versions.
  • Modification of a standard SAP information object for an enhancement creates enhancement versions (e.g. industry versions and customer versions). This is a specialized form of content versions.
  • The use of different document formats for maintaining and displaying content objects means that various format versions are maintained

All versions of an info object refer to a particular aspect of the R/3 System and its use (e.g. a particular function, procedure, etc.).

The Knowledge Warehouse distinguishes between a logical info object and the associated physical info objects:

The logical info object (LOIO) represents all info objects that describe a particular aspect of the R/3 System. However, it does not have any attributes such as language, format, file size, etc.

The physical info objects (PHIO) belonging to a logical info object describe the contents, language and format versions of the particular aspect of the R/3 System.

The following graphic shows the relationship between logical and physical info objects in the Knowledge Warehouse:

Integration

The context settings determine the version chosen in the Knowledge Warehouse.

All the contents except for those of the SAP standard, and particularly the contents created by customers, are maintained in enhancement contexts: Maintaining Enhancement Contents . Enhancement contexts are set up with an IMG action ( Goto ® Customizing in the initial screen of the Knowledge Warehouse).

Activities

Every time an information object that has been edited is checked in (again), a new version, i.e. a new physical information object is automatically created in the Knowledge Warehouse. A new (HTML) display format version is created at check-in as well as the new contents or language version.

No new version is created when an information object that was checked out but not changed or saved is checked back in.

During online processing, the versions (content or language version and format version) are created when they are saved.

To create a version for a new release, you must check the information object out in the new release context and save it. When you check it back in, the new release version is stored in the Knowledge Warehouse.

During online processing, you have to edit and save the information object in the new release context. The new release version is stored in the Knowledge Warehouse after it has been saved.

Once you have created a version for a new release, the changes that you make in the previous release do not affect the new release.

You must maintain the changes in both releases if they are to take effect in both releases.

Maintain your information objects in the previous release if they are to be used in the next release as well.

See also: Versioning Enhancement Contents


Changing Information Objects

This procedure is used to create information objects in the Knowledge Workbench. These information objects are displayed with the SAPShow Presentation Viewer or the Info Object Viewer .

Procedure

  1. Start the Knowledge Workbench.

    2. When you work online, you can access the information objects stored in the Knowledge Warehouse.

    When you work offline, you can only access the information objects in the Local Repository.

  2. Set the required context:
    • the language in which you create information objects and the release.
    • the enhancement name and release
  1. Create a folder for the information objects.
  2. Create a structure.

    3. A content object is created as placeholder for the structure title.

  3. Edit the information objects.

    4. Create new content objects and insert them in the structure.

    Edit the structure.

    Edit the content objects and insert hyperlinks to other content objects.

  6. Check in the new and revised information objects.
  7. Assign index entries for the content objects in the Documentation area.

    8. The information objects can then be found by other Knowledge Warehouse and online help users with an index search.

  8. Link information objects with R/3 contexts using R/3 links , e.g. with a certain transaction or screen.

    9. This permits a context-sensitive display of the information objects.

  9. Check the following for the folders:
    • Hyperlinks between content objects using the consistency checks
    • R/3 links with the R/3 link check
    • Content and format of content objects in the Web Browser
    • Context-sensitive display when calling Application help
  10. Correct the information objects in online processing .
  11. Release the information objects in the folder for subsequent translation .
  12. Transport the released information objects to the consolidation system.
  13. Check the following for the transported information objects:
    • Completeness
    • Hyperlinks between content objects using the consistency checks
    • Context-sensitive display when calling Application help


Working with the Knowledge Workbench

Use

The Knowledge Workbench is a PC application of the SAP Knowledge Warehouse that provides all the functions authors need for creating information objects. You can use it for creating and editing information objects, maintaining attributes, and displaying information objects in a web browser.

Integration

With the Knowledge Workbench you can work either online or offline.

When you work online, you have access to the information objects in the Knowledge Warehouse.

When you work offline, you only have access to the information objects stored on your local PC and the file system.

Prerequisites

  • The Knowledge Workbench must be installed on your PC.
  • You need a user in the SAP Knowledge Warehouse R/3 System.

Functionality

Three Content Spaces

In the Knowledge Workbench, you use three content spaces when you create information objects:

  • Knowledge Warehouse

The Knowledge Warehouse contains all the information objects stored in the Knowledge Warehouse. You only have access to the Knowledge Warehouse when you are working with the Knowledge Workbench in online mode and are logged onto the Knowledge Warehouse R/3 System.

You can add Knowledge Warehouse folders to your Personal Favorites.

When you select information objects in the Knowledge Warehouse and call the editing function, the information objects are downloaded to the Local Repository on your PC and locked for other users. Other users can only view the information objects that are checked out.
  • Local Repository on the PC

The Local Repository contains all the information objects you checked out of the Knowledge Warehouse for editing.

It also contains the information objects you created anew, either from scratch or by importing files from the Local System.

When you work with the Knowledge Workbench in offline mode, all the new and changed information objects are stored in the Local Repository.

When you check the changed information objects back into the Knowledge Warehouse, these objects are removed from the Local Repository and unlocked in the Knowledge Warehouse.
  • Local System

The Local System gives you access to all files on your PC and network that you may want to use as source material for information objects in the Knowledge Warehouse. You can create information objects from files in your Local System by checking them into the Knowledge Warehouse either directly or using the Local Repository.

Online and Offline Mode

In online mode you have access to all information objects in the Knowledge Warehouse. This means you can view all information objects, you can set links to them, change their attributes, and edit them. Editing and changing attributes is not possible if the information objects are checked out by another user.

In offline mode you have access only to the information objects in the Local Repository and to data in the Local System.

Navigation in Explorer Windows

In the Knowledge Workbench you access folders and information objects in Explorer windows. Navigation in Explorer windows works in much the same way as in the Microsoft Windows Explorer.

In each Explorer window a context bar (below the title bar) displays the current settings of the version context (language, release). The color of the context bar depends on the content space in which you are navigating:

  • Green in the Knowledge Warehouse
  • Blue in the Local Repository
  • Gray in the Local System

By opening several Explorer windows you can simultaneously look at and work on different parts of the Knowledge Warehouse, Local Repository and Local System. You can also use the drag-and-drop technique for various functions, such as check-in of MS PowerPoint files as information objects.

Constraints

You cannot use all the authoring functions in the Knowledge Workbench. The following functions are only available in the SAP Knowledge Warehouse R/3 System.

  • Set and check R/3 links between R/3 application objects and information objects of the Knowledge Warehouse
  • Print structures with information objects
  • Create offline presentations of training courses
  • Maintain index entries (area: documentation)
  • Check information objects (area: documentation)

You can only execute these functions if you are logged onto the SAP Knowledge Warehouse R/3 System.

Activities

To start the Knowledge Workbench, choose Programs ® Knowledge Workbench from the Windows Start menu.

To work in online mode enter the required data in the Work online tab page of the logon dialog box.

To work offline select a content in the Work offline tab page of the logon dialog box.


Configuration of the Knowledge Workbench

Use

In the Knowledge Workbench you can adjust a number of settings that control

  • the context (language, enhancement, release) in which you can maintain and display the information object versions
  • the information object attributes to be displayed in the Explorer windows you open in the Knowledge Workbench
  • the attribute values to be used as default values when you create new information objects.

Functionality

You can configure the following areas in the Knowledge Workbench:

  • Maintenance of information objects

You control which versions of an information object should be used or created by selecting a context (language, enhancement, release).

If you want to access information objects from different contexts, you can change the set context for each open Explorer window.

You can also define a standard context for the new Explorer window.
  • Information display

You can control which information object attributes should be displayed in the Knowledge Warehouse and Local Repository by defining display settings.

You can show or hide the structure view and object preview in the active Explorer window.
  • Default values for new information objects

You can reduce the amount of data required for creating new information objects by defining default values for the attributes of new information objects.

You can define the default values for all information objects in an area of the Knowledge Warehouse.


Entering the Context for the Active Explorer Window

Use

This procedure controls the information object versions to be accessed with the active Explorer window of the Knowledge Workbench.

Procedure

To enter the context for the active Explorer window:

  1. Select the Explorer window to be used to display the folder contents.
  2. Choose Context ® Change the current context...

    3. A dialog box appears.

  3. Select the context parameter and choose OK.

Result

The display of the folders and information objects of the active Explorer window is updated. Only the information objects having a version in the context you selected are displayed.


Setting the Default Context

Use

This procedure controls the context to be used as default context when you open a new Explorer window.

Procedure

To set a standard context:

  1. Choose View ® Settings ® Knowledge Warehouse...
  2. Select tab page Default context.
  3. Enter your context parameters and choose OK.

Result

The context you set is used as default context when you open a new Explorer window.


Defining Default Values for New Information Objects

Use

This procedure defines attribute values that are automatically assigned to new information objects. You do not have to maintain so many attributes when you create new information objects if you define default values.

Procedure

  1. Choose View ® Settings ® Default values ...

    2. A dialog box appears in which you can specify default attribute values for information objects of the different information categories in the various areas.

  2. Select an area.

    3. The information categories of the selected area are displayed.

  3. Select an information category.

    4. The information object attributes of the selected information category are displayed.

  4. Select an information object attribute.
  5. Choose Specify a default value and enter an attribute value in the corresponding text field.

    6. You can select the option Special default value for some attributes, such as Person responsible, and then enter your user name as default value.

  6. Save the default values with OK.


Display Settings

Use

The Knowledge Workbench includes a number of settings for defining the amount and type of information to be displayed in an Explorer window. Some of these settings apply to all Explorer windows and others apply only to the active window.

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Functionality

You can show or hide the following information in the Knowledge Workbench:

  • Personal favorites

All the folders in the list of personal favorites are displayed.
  • Tips

A number of tips that support your work with the Knowledge Workbench are displayed.

You can show or hide the following information in the Explorer window:

  • Structure of the content spaces

The structure of the individual content spaces is displayed.
  • Preview or short information for the information object

The contents are displayed for content objects.

Only the short information is displayed for structures.
  • How the information objects are displayed

If you choose Detail, all the attributes selected for display are shown.
  • How the information objects are sorted in the display

The information objects displayed are sorted according to your selection.
  • How the information object attributes are displayed

You can select the attributes to be displayed in the Explorer window for the individual information objects.

Activities

Select the display options in the View menu.


Showing or Hiding the Personal Favorites

Prerequisites

You are in the Knowledge Workbench.

Procedure

To show or hide your personal favorites, choose View ® Personal Favorites.

Result

The personal favorites are displayed in a separate window.

If Personal Favorites is marked, the personal favorites are displayed. Otherwise they is hidden.


Showing and Hiding Tips

Prerequisites

You are in the Knowledge Workbench.

Procedure

To show or hide the tips for working with the Knowledge Workbench, choose View ® Tips.

To display the next tip, click with the right mouse key and choose Next tip.

Result

The tips are displayed in a separate window.

The tips are shown if Tips is marked. Otherwise they are hidden.


Showing and Hiding the Structure of the Content Spaces

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Procedure

To hide the structure of the content spaces, choose View ® Structure view.

Result

The structure of the content spaces is displayed in the left part of the Explorer window.

The structure is shown if Structure view is marked. Otherwise it is hidden.


Showing and Hiding the Information Object Preview

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Procedure

To show the preview of the information objects, choose View ® Object preview.

Result

The contents of a selected content object are displayed in the lower part of the Explorer window.

Only short information is displayed for structures.

The preview is shown if Object preview is marked. Otherwise it is hidden.


Setting the Display View for the Information Objects

Use

This procedure defines how the list of information objects should be displayed.

You can select:

  • Small icons
  • List
  • Detail

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Procedure

To set the display view, choose View ® Small icons/List/Detail.

Result

The list is set up as you requested. The display view is marked in the menu.

After selection, all the attributes that you selected with the Display Attributes function are displayed.


Sorting the List of Information Objects

Use

You can sort the list of information objects with this procedure.

The attributes that you selected with the Display Attributes function are offered as sort criteria.

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Procedure

To sort the list of information objects, choose View ® Arrange icons by ® ....

Result

The list of information objects is sorted according to your selection.

Once you have sorted the list, the attribute is marked in the menu.


Setting the Display of Information Object Attributes

Use

This procedure defines the information object attributes to be displayed in the Explorer windows.

Procedure

To set the attributes to be displayed:

  1. Choose View ® Settings ® Knowledge Warehouse...
  2. On the following tab choose tab page Display Attributes.
  3. To display an attribute, select it in the list of Available properties and choose Add.

    4. To remove an attribute from the current display, select it in the list of Selected properties and choose Remove.

  4. Choose OK.

Result

When you display folder contents in Explorer windows, the information objects are shown with the attributes you included in the Selected properties list.


Managing Folders

Use

You can create and manage folders that are used as a container for groups of information objects in the Knowledge Workbench. With a few exceptions (for example, deleting folders), the same functions are available in the Knowledge Workbench as are with the R/3 System of the Knowledge Warehouse.

Integration

When you work with the Knowledge Workbench in online mode, you have access to all the folders of the Knowledge Warehouse. Your Personal Favorites are stored in the Knowledge Warehouse R/3 System.

Functionality

In the Knowledge Workbench you can:

  • Create new folders
  • Find folders
  • Insert folders in your Personal Favorites list
  • Remove folders from your Personal Favorites list
  • Display folder attributes


Creating a Folder

Use

You can create a new folder directly in the Knowledge Warehouse or first create it in the Local Repository and then add it to your Personal Favorites.

You should always create a new folder when you create a new training course or documentation project.

Prerequisites

You are in the Knowledge Workbench.

You have authorization to create folders.

Procedure

To create a folder:

  1. Place the cursor on any node in the Knowledge Warehouse or Local Repository.
  2. Choose Info object ® New ® Folder...

    3. The Create Folder Wizard appears to support you in creating the folder.

  3. Choose Continue.
  4. Enter the area in which your folder should be created and choose Continue.
  5. Specify the folder attributes.

    6. If you maintained default values for information category Folder in the selected area, the fields are already defined.

  6. Choose Finish.

Result

A new folder created in the Knowledge Warehouse is inserted as the uppermost node in the structure of your Personal Favorites. When you refresh the folder selection, the folders are sorted in alphabetical order.

A new folder created in the Local Repository is stored in the Local Repository. In this case the folder only appears in the Knowledge Warehouse once you have checked it in and added it to your Personal Favorites.

Only folders containing information objects can be checked in.


Finding a Folder and Displaying it in the Explorer Window

Use

With this procedure you can look for a folder in the Knowledge Warehouse and then display it in an Explorer window.

Prerequisites

You are in the Knowledge Workbench.

Procedure

To find a folder in the Knowledge Warehouse:

  1. Choose Edit ® Find ® Folders in the Knowledge Warehouse...

The Select a Folder dialog box appears.
  2. Select the area where you want to search for the folder.
  3. To improve system performance, restrict the search with selection criteria.

SAP recommends that you use the technical name for the search since it is the fastest.
  4. Start the search.

    5. The folders found are listed.

  5. Select the folder to be displayed in the Explorer window.

    6. The Select Folder Context dialog box appears.

  6. Select the folder context.

Result

An Explorer window is opened.

The selected folder and the information objects it contains in the given context are displayed in this Explorer window.


Organization of the Personal Favorites

Use

With this function you can insert folders that are used frequently in your list of Personal Favorites.

Integration

The Personal Favorites are stored user-specifically.

Prerequisites

You are in the Knowledge Workbench.

Functionality

You can insert or delete folders in the Personal Favorites.

You can create folders in the Knowledge Warehouse and insert them in your Personal Favorites.

You can insert folders from the initial structure in your Personal Favorites.


Creating a Folder and Adding it to the Personal Favorites

Prerequisites

You are in the Knowledge Workbench.

You have authorization to create a folder.

Procedure

To create a folder and add it to your Personal Favorites:

  1. Choose Tools ® Organize my Favorites.

The Personal Favorites Organizer dialog box appears.
  2. Choose Create folder.

The Create Folder Wizard appears to support you in creating the folder.

  3. Choose Continue.
  4. Enter the area in which your folder should be created and choose Continue.
  5. Specify the folder attributes.

    6. If you maintained default values for information category Folder in the selected area, the fields are already defined.

  6. Choose Finish.

Result

The folder is created and added to your Personal Favorites.


Adding a Folder to the Personal Favorites

Use

You want to put folders which you access regularly in your list of Personal Favorites.

Prerequisites

You are in the Knowledge Workbench.

Procedure

Inserting a Selected Folder from the Initial Structure

To add a folder of the displayed initial structure to your Personal Favorites:

  1. Select a folder in the initial structure.
  2. Choose Info object ® Add to Personal Favorites.

Inserting a Folder

To insert a folder from the Knowledge Warehouse in your Personal Favorites:

  1. Choose Tools ® Organize my Favorites.

The Personal Favorites Organizer dialog box appears.
  2. Choose Insert folder.

The Select a Folder dialog box appears.
  3. Select the area where you want to search for the folder.
  4. To improve system performance, restrict the search with selection criteria.

SAP recommends that you use the technical name for the search since it is the fastest.
  5. Start the search.

    6. The folders found are listed.

  6. Select the folder to be inserted in your Personal Favorites.

Result

The selected folder is added to your Personal Favorites.


Removing a Folder from the Personal Favorites

Prerequisites

You are in the Knowledge Workbench.

Procedure

To remove a folder from the Personal Favorites:

  1. Select the folder you want to remove from the Personal Favorites.
  2. Choose Info object ® Remove from Personal Favorites.

Result

The selected folder is removed from your Personal Favorites.


Displaying Folder Attributes

Prerequisites

You are in the Knowledge Workbench.

A folder is open in the Explorer window.

Procedure

To display the folder attributes:

  1. Select a folder.
  2. Choose Info object ® Properties.

The Object Properties dialog box appears:

Result

The properties of the selected folder are displayed on different tab pages.


Creating New Information Objects

Use

With the Knowledge Workbench you can create all kinds of information objects that are available in the Knowledge Warehouse.

Functionality

The information objects you create are stored in your local repository until you check them into the Knowledge Warehouse . Only then can they be accessed by other Knowledge Warehouse users.

Information objects are always created in folders. The folder you choose for creating an information object also defines what kinds of information objects you can create. Since every folder belongs to a certain area, you can only create information objects in the information categories that are valid for the particular area.

In addition to the functions for creating individual information objects, the Knowledge Workbench offers a function for creating several information objects at once from an existing PowerPoint presentation.


Creating a Structure

Use

You can create a new structure with this procedure.

Procedure

To create a structure:

  1. Select the folder in which you want to create the structure.

    2. This can be a folder in the Knowledge Warehouse or in the Local Repository. In any case, the structure will be created in the Local Repository.

  2. Choose Info object ® New ® Structure object...

    3. The Create New Structure Object wizard appears.

  3. Choose Continue.
  4. Assign the structure a content object as root object by creating a content object or using an existing content object.

To create a new content object as root object:
    1. Choose Create new>>>.

      2. The Create New Info Object wizard appears.

    2. Choose Continue.
    3. Select the information class for the new content object and continue.
    4. Choose Finish.

To use an existing information object as root object:
    1. Choose Select info object >>>.

      2. The Find Info Object dialog box appears:

    2. Specify how you want to search for the information object and choose Continue .
    3. To improve performance, enter suitable search criteria.
    4. Start the search.

      5. The information objects found are displayed.

    5. Select the information object to be used as root object of your structure and choose Ok.

The Create New Structure Object wizard appears again.

  5. Choose Continue.
  6. Enter the attributes for the new structure.

    7. If you maintained default values, the fields are already defined.

  7. Choose Finish.

Result

The structure is created in the Local Repository in the selected folder.

If you selected a folder in the Knowledge Warehouse, the structure is created in the (temporary) folder of the same name in the Local Repository.

The root object is now defined as the information object you created or selected.


Creating Content Objects

Use

Use this procedure to create a new information objects of category Slide, Text or Topic.

Slides are the most common type of content object used in the Training area. They are edited with MS PowerPoint.

Texts are used in the Training area while topics are used in the Documentation area. Both are edited with MS Word.

Procedure

To create a content object:

  1. Open the folder in which you want to create the new content object.
  2. Check that the context is set correctly.
  3. Choose Info object ® New ® Info object...

    4. The Create New Content Object wizard appears.

  4. Choose Continue.
  5. Select the information class for the new content object and continue.
  6. Enter the attributes for the new content object.

    7. If you maintained default values, the fields are already defined.

  7. Choose Finish.

Result

The content object is created in the Local Repository.


Creating a Multimedia Object

Use

Use this procedure to create a new content object of category Multimedia object.

Multimedia objects can be used in the Training area, typically for presenting multimedia information. While you would generally check in Lotus ScreenCams, *.AVI files, etc. as multimedia objects you can choose to check in any document as a multimedia object.

In contrast to content objects of categories Slide, Text, and Topic, no special editing functions are provided in the Knowledge Warehouse for editing the content of multimedia objects. Content editing of multimedia objects is done outside the Knowledge Warehouse with any MS Windows application. Therefore, you can link to multimedia objects from slides, texts, topics, and structures, but you cannot link from multimedia objects to other information objects.

Prerequisites

To be able to check in a multimedia file as a multimedia object, its file format must be registered as a valid format in the Knowledge Warehouse. Also, the application for editing or viewing the object must be installed on the PC.

Procedure

To create a multimedia object:

  1. Open the folder in which you want to create the new multimedia object.
  2. Choose Info object ® New ® Info object from existing file.

    3. You go to a dialog box where you can navigate in your file system.

  3. Go to the directory containing the multimedia file.
  4. Select the file and choose Open.

The Create Content Objects wizard appears.

The multimedia file is assigned information category Multimedia object.
  5. Enter the attributes for the new multimedia object.

    6. If you maintained default values, the fields are already defined.

    A list appears containing the multimedia file created as multimedia object.

  6. Choose Finish.

Result

The multimedia object is created in the local repository.


Creating Information Objects from a PPT Presentation

Use

Use this procedure to take a PowerPoint presentation containing any number of slides and check them in to the Knowledge Warehouse as individual information objects. A structure is created which references the slide objects in the same sequence as they appear in the PowerPoint presentation..

Procedure

To create information objects from a PowerPoint presentation:

  1. In the Local Repository or Knowledge Warehouse, open the folder to contain the information objects you want to create from the PowerPoint presentation.
  2. Check that the context is set correctly.
  3. Select the PowerPoint files in the local file system and drag them to the folder where you want to put the information objects to be created from the PowerPoint presentation.

The Create Info Object wizard appears.
  4. Choose Continue.

The selected file(s) appear.

You can change the default information category when you import PowerPoint files (Change class assignment >>>).

Choose this option only if you want to check in the PowerPoint presentation as a single generic information object.
  5. Choose Continue.

    6. The files are edited.

  6. Enter the attributes for the new information objects by selecting the relevant information object.

    7. If you maintained default values, the fields are already defined.

    The list of information objects to be created from the PowerPoint presentation is displayed (structure plus one or more slides).

  7. Choose Finish.

Result

The system creates a structure and one or more information objects having category Slide in the Local Repository.


Editing Content Objects

Use

In the Knowledge Workbench you work with content objects of information categories Slide, Text and Topic) using MS PowerPoint or MS Word. Both editors are integrated in the Knowledge Workbench and are automatically called when you edit content objects. They were enhanced with special Knowledge Warehouse editing functions.

You can also create and edit multimedia objects (information category Multimedia object) that were created with Windows applications (such as Lotus ScreenCam). However, no special Knowledge Warehouse editing functions are provided for these info objects.

Integration

With the Knowledge Workbench, all the contents are edited locally on your PC in the Local Repository.

When you select objects in the Knowledge Warehouse and call the editing function, the objects are automatically downloaded to the Local Repository on your PC and locked for changes by other users.

Once you have finished editing the content objects in the Local Repository, you must check in the content objects.

Prerequisites

If you want to edit content objects from the Knowledge Warehouse and you have not yet downloaded these objects to the Local Repository, you must work with the Knowledge Workbench in online mode.

The content objects to be edited may not have been checked out of the Knowledge Warehouse by another user. Content objects that were checked out by other users may only be viewed.

Functionality

The following editing functions are available for the different types of content objects:

Slides, Text and Topics (Editors: PowerPoint and Word)

  • Editing contents (Standard PowerPoint and Word functions)
  • Inserting standard icons
  • Inserting hyperlinks to other content objects , including IMG documents and SAP glossary terms (that are delivered as part of the Knowledge Warehouse)

Multimedia Objects (Editor: MS Windows Application)

  • Editing contents (if relevant application is installed locally) or else updating info object by checking in new object file

Activities

You can edit a selection of content objects directly from a folder's Info Object List, or you can edit them while maintaining a structure with the Knowledge Workbench structure editor.


Editing and Saving Slides

Use

You can edit content objects having information category Slide in PowerPoint.

You can edit slides that are in the Knowledge Warehouse or Local Repository. The slides are stored in the Local Repository during editing.

There are the following functions:

  • Edit one or more slides
  • Edit the slides of a chapter
  • Set hyperlinks

Prerequisites

To have access to slides in the Knowledge Warehouse, you must start the Knowledge Workbench in online mode.

Procedure

Select one or more slides and choose Info object ® Edit info object(s).

In the structure editor, select a chapter (structure nodes with a lower level) and choose Info object ® Edit chapter.

Result

The slide was edited.

  • If you did not finish the editing process, it stays open and is displayed in the folder at the end of the Info Object List.

It is marked with the following icon:

When you refresh the display, all the open editing processes are at the beginning of the Info Object List.

You can continue the editing process.
  • If you finished the editing process, the following actions are taken:
    • New content objects were created in the Local Repository.
    • Modified content objects were updated in the Local Repository.
    • The modified structure was updated in the Local Repository.


Editing Slides

Use

This procedure is used to edit the slides of a training course.

Prerequisites

If the slides are not yet downloaded to the Local Repository on your PC, you have to start the Knowledge Workbench in online mode to have access to the Knowledge Warehouse.

You opened the folder with the slides in an Explorer window or you are editing a structure that contains the slides.

Procedure

Editing Slides from the Info Object List of the Folder

  1. In the Knowledge Warehouse, select the slides to be edited.

    2. If you want to edit slides that were already edited but not checked into the Knowledge Warehouse, select the slides in the Local Repository.

  2. Choose Info object ® Edit info object(s).

    3. The selected content objects are downloaded from the Knowledge Warehouse to the Local Repository. PowerPoint is opened with a file containing the slides.

    To view the content objects together with their folder in the Local Repository, select the node of the Local Repository in the Explorer window and refresh the display.

  3. Edit the slides in PowerPoint.
  4. Save your changes.

    5. You can find further information about saving the file in Saving the File .

  5. Close the file.

    6. You can find further information about closing the file in Closing the File .

  6. Close PowerPoint.

You can find further information about closing PowerPoint in Closing PowerPoint .

Editing Slides with the Structure Editor during Structure Maintenance

You can also edit slides from the Structure Editor:

To edit individual slides, select a slide of the structure that you are just editing, and continue as described above.

To edit all the slides of a chapter of the training course, follow the instructions in Editing a Chapter of a Training Course .

Result

The slides are saved and PowerPoint is closed. The Changed attribute is given the value Yes for the edited slides in the Local Repository.


Editing a Chapter of a Training Course

Prerequisites

You are editing the course structure in the Structure Editor.

Procedure

To edit a chapter:

  1. Check that the context is set correctly.
  2. Choose the initial node of a chapter in the structure.

    3. The nodes below the initial node all have to be end nodes.

  3. Choose Info object ® Edit chapter.

    4. The content object of the initial node and all subordinate content objects are opened.

    If you choose Info object ® Edit info object(s), only the initial node of the chapter is opened.

  4. Edit the contents of the slides and change the order of the slides in the PowerPoint file as required.
  1. Save your changes.

    2. You can find further information about saving the file in Saving the File .

  6. Close the file.

    7. You can find further information about closing the file in Closing the File .

  7. Close PowerPoint.

You can find further information about closing PowerPoint in Closing PowerPoint .

Result

The slides are saved and PowerPoint is closed.

The Changed attribute is given the value Yes in the Local Repository for the edited slides and structure.


Maintaining Hyperlinks in Slides

Prerequisites

You are in the Knowledge Workbench.

You opened a slide.

Procedure

Inserting Hyperlinks

To insert a hyperlink:

  1. Select where the hyperlink or text to be used as hotspot for the hyperlink should be inserted.
  2. Choose SAP ® Insert Link to Info Object.

    3. A dialog box is displayed offering several ways to find the content object you want to define as hyperlink target.

    If the Find Info Object dialog box does not appear, use ALT+Tab to bring it to the foreground.

  3. Navigate to the folder containing the desired content object or enter search criteria for finding the content object.
  4. Select the content object and choose OK.

A hyperlink to the selected content object is inserted. If no text was selected, the title of the object is used as hotspot for the hyperlink.

The hyperlink is highlighted in yellow and underscored.

Deleting a Hyperlink

To delete a hyperlink:

  1. Select the hotspot of the hyperlink.
  2. Choose Edit ® Cut or press ENTF .

The hyperlink is deleted from the document together with the hotspot.

Changing a Hyperlink Hotspot

To change a hyperlink hotspot:

  1. Select the hotspot of the hyperlink.
  2. Overwrite the text.


Saving a File

Use

You can save new or modified slides with this procedure.

Prerequisites

You are in the Knowledge Workbench and have opened a PPT file in PowerPoint.

Procedure

To save a file once you have finished editing it:

  1. Choose SAP ® Save and Finish.

    2. A dialog box appears in which you can confirm that you want to save each of the content objects.

  2. Select the content objects to be created or saved.
  3. Choose Continue.

The changes were saved. The PowerPoint file was closed. The editing process was finished:
    • New content objects were created in the local repository.
    • Modified content objects were updated in the local repository.
    • The modified structure was updated in the local repository.

If you want to save the file and then continue editing it:

  1. Choose SAP ® Save.

    2. The changes are saved.

    The editing process stays open and is displayed in the folder at the end of the Info Object List.

    It is marked with the following icon:

    When you refresh the display, all the open editing processes are at the beginning of the Info Object List.

    The file stays open in PowerPoint and you can continue your work.

  2. To close the file, choose SAP ® Close.

The file is closed.

You can find further information about closing the file in Closing the File .


Closing a File

Use

This procedure closes a PowerPoint file.

Prerequisites

You are in the Knowledge Workbench and have opened a PowerPoint file.

Procedure

To close the file:

  1. Choose SAP ® Close.

    2. Do not use the MS PowerPoint functions to close the file.

    They do not correctly close the editing process for slides in the Knowledge Workbench.

  2. Specify whether you want to save the changes.
  3. Specify whether you want to finish the editing process.

Result

The results for the Close function are shown in the following graphic:
  • If you answer the questions on saving the file and finishing the editing process with Yes, the changes are saved.

If you opened more than one slide or a chapter in a file, a dialog box appears in which you can confirm whether you want to save the changes for each content object.

The PowerPoint file was closed.

The editing process was finished:
    • New content objects were created in the local repository.
    • Modified content objects are updated in the local repository.
    • The modified structure is updated in the local repository.
  • If you answer the questions on saving the file and finishing the editing process with No, the changes are not saved.

The PowerPoint file was closed.

The editing process stays open and is displayed in the folder at the end of the Info Object List..

This is marked with the following icon:

When you refresh the display, all the open editing processes are at the beginning of the Info Object List.

You can continue editing the file at a later time.

  • If you answered the question about finishing the editing process with No, it stays open and is displayed in the folder at the end of the Info Object List.

It is marked with the following icon:

When you refresh the display, all the open editing processes are at the beginning of the Info Object List.

You can continue editing the file at a later time.


Closing PowerPoint

Use

This procedure closes a PowerPoint application.

Prerequisites

You are in the Knowledge Workbench.

You closed all files in PowerPoint.

Procedure

To close the PowerPoint application choose File ® Close.

Result

The PowerPoint application is closed.


Continuing File Editing

Use

This procedure is used to continue file editing if you

  • have not finished the file editing process
  • have not yet checked the content objects into the Knowledge Warehouse.

Prerequisites

You are in the Knowledge Workbench.

Procedure

Continue editing if the editing process has not been finished

To continue the file editing process:

  1. Select the relevant editing process.

It is marked with the following icon:

You can only select one editing process to continue editing in PowerPoint.
  2. Choose Info object ® Edit info object(s).

Continue editing if the content objects have not yet been checked into the Knowledge Warehouse

To continue editing the content objects, select the relevant content objects and choose Info object ® Edit info object(s).

The content objects are opened again in PowerPoint. You can continue editing.

Result

The file is opened again in PowerPoint. You can continue editing.


Terminating the Editing Process

Use

This procedure terminates an editing process if you cannot open the file in PowerPoint.

All the changes are deleted, even if they were already saved.

To terminate an open editing process whose file can be opened, use the functions for editing slides .

Prerequisites

You are in the Knowledge Workbench.

There is an editing process that has not been finished.

It is marked with the following icon:

This editing process cannot be continued because the file cannot be opened

Procedure

To terminate an editing process without opening the file in PowerPoint:

  1. Select the editing process whose file cannot be opened in PowerPoint.
  2. Choose Info object ® Display attributes.

    3. The Attributes of the Editing Process dialog box appears.

  3. Select tab page Tools.
  4. Choose End now in the End Editing Process frame.
    5.

    All the changes are deleted, even if they were already saved.

  5. Confirm.

Result

The editing process is terminated.


Editing Texts and Topics

Use

This procedure can be used to edit texts of the Training area and topics of the Documentation area.

Prerequisites

You are in the Knowledge Workbench.

Procedure

Editing Texts and Topics from the Info Object List of the Folder

To edit content objects of the Text and Topic information categories:

  1. In the Knowledge Warehouse, select the text or topic to be edited.
  2. Choose Info object ® Edit info object(s).

    3. The selected content object is downloaded from the Knowledge Warehouse to the Local Repository.

    To view the content object together with its folder in the Local Repository, select the node of the Local Repository in the Explorer window and refresh the display.

    Word is opened.

  3. Edit the content object.
  4. Save your changes.
  5. Close the file.

A dialog box appears in which you can confirm that you want to save your changes to the content object.
  6. Select the content object to be created or saved.
  7. Choose Continue.

Editing Texts and Topics with the Structure Editor during Structure Maintenance

To edit content objects of the Text and Topic information categories within the structure editor:

  1. Select the text or topic to be edited.
  2. Choose Info object ® Edit info object(s).

Word is opened.
  3. Edit the content object.
  4. Save your changes.
  5. Close the file.

A dialog box appears in which you can confirm that you want to save your changes to the content object.
  6. Select the content object to be created or saved.
  7. Choose Continue.

Result

The content object is saved and closed. The Changed attribute is given the value Yes for the edited content object in the Local Repository.


Inserting Hyperlinks in Texts and Topics

Use

This procedure is used to insert hyperlinks to other content objects.

Prerequisites

You are in the Knowledge Workbench.

You are editing a text or topic in MS Word.

Procedure

Inserting Hyperlinks

To insert a hyperlink:

  1. Select where the hyperlink or text to be used as hotspot for the hyperlink should be inserted.
  2. Choose SAPKW ® Insert Link.

    3. A dialog box is displayed offering several ways to find the content object you want to define as hyperlink target.

    If the Find Info Object dialog box does not appear, use ALT+Tab to bring it to the foreground.

  3. Navigate to the folder containing the desired content object or enter search criteria for finding the content object.
  4. Select the content object and choose OK.

A hyperlink to the selected content object is inserted. If no text was selected, the title of the object is used as hotspot for the hyperlink.

The hyperlink is highlighted in blue and underscored.

Deleting a Hyperlink

To delete a hyperlink:

  1. Select the hotspot of the hyperlink.
  2. Choose Edit ® Cut or press ENTF .

The hyperlink is deleted from the document together with the hotspot.

Changing a Hyperlink Hotspot

To change a hyperlink hotspot:

  1. Select the hotspot of the hyperlink.
  2. Overwrite the text.

Result

A hyperlink to the selected content object is inserted in the Word document.

The link hotspot is highlighted in blue and underscored.

Hyperlinks to glossary definitions can also be inserted in the same way.


Inserting a Graphic from a File Containing Several Graphics

Use

This procedure detaches for example a PowerPoint graphic from a file containing several graphics and inserts it in the content object.

Prerequisites

You have opened a content object in Word.

You opened PowerPoint.

Procedure

To insert a graphic in your content object from a file containing several graphics:

  1. In the PowerPoint sort view, select the graphic you want to insert in your content object and copy it to the clipboard.
  2. Go to your content object in Word.
  3. Place the cursor where the graphic should be inserted.
  4. Choose Edit ® Insert contents.
  5. Select Microsoft PowerPoint slide object.
  6. Deactivate the options Put over text and As symbol.
  7. Choose OK.

Result

The PowerPoint graphic is inserted in your content object.


Inserting Graphic Files

Prerequisites

You have opened a content object in Word 97.

You want to insert a graphic file, e.g. in bit map format (BMP).

If you want to translate your content objects, only use graphic files for which there is an editor (e.g. PowerPoint).

In this case use the procedure Inserting Graphic Objects .

Procedure

  1. Choose the insertion position.
  2. Choose Insert ® Graphic ® from file ...

    3. The Insert Graphic dialog box appears.

  3. Deselect the options Link to file and Put over text.
  4. Select a file and choose Insert.
  5. Position the graphic by aligning the paragraph as left or right-justified or centered.

Result

The graphic file is embedded in the content object and is saved with the content object.

Graphics created in another application can only be inserted in a Word document if the appropriate graphic filter is installed. BMP files do not need a graphic filter.


Inserting Graphic Objects

Prerequisites

You have opened a content object in Word 97. You want to insert a graphic file that was created with a Microsoft Windows application (e.g. PowerPoint) as an object in the content object.

The PowerPoint application is open.

Procedure

  1. Choose the insertion position.
  2. Choose Insert ® Object.

    3. The Object dialog box appears:

  3. Choose the tab page Create from file and deselect the options Link, Put over text and As symbol.
  4. Select a file and choose OK.
  5. Position the graphic by aligning the paragraph as left or right-justified or centered.

Result

The graphic file is embedded as an object in the content object and saved with the content object.

A graphic that is embedded as an object in a content object can be edited directly from Word with Edit ® <Application> object ® Open.


Editing a Multimedia Object

Use

This procedure can be used to edit a multimedia object, e.g. a video or ScreenCam.

Prerequisites

The required software for editing multimedia objects must be installed on your PC.

You are in the Knowledge Workbench.

Procedure

  1. In the Knowledge Warehouse, select the multimedia object to be edited.
  2. Choose Info object ® Edit info object(s).

    3. The selected content object is downloaded from the Knowledge Warehouse to the Local Repository.

    If the required software for editing the multimedia object is installed on your PC, the software is started.

    To view the content object together with its folder in the Local Repository, select the node of the Local Repository in the Explorer window and refresh the display.

  3. Edit the multimedia object.
  4. Save your changes.

Result

The content object is saved and the application is closed. The Changed attribute is given the value Yes for the edited content object in the Local Repository.


Editing Structures

Use

You can structure your information objects with this function.

Prerequisites

The structure to be edited was not checked out by another user.

Either the structure is already in the Local Repository or you are using the Knowledge Workbench in online mode, so that you can download the structure from the Info Repository.

Integration

With the Knowledge Workbench, all the structures are edited locally on your PC in the Local Repository.

When you select objects in the Knowledge Warehouse and call the editing function, the objects are automatically downloaded to the Local Repository on your PC and locked for changes by other users.

The content objects referred to in the structure are also downloaded with write protection.

Structures are edited with the Structure Editor in the Knowledge Workbench. If you select a structure in the Info Repository or Local Repository and call the editing functions, the Structure Editor is started and the selected structure is displayed.

Once you have finished editing the information objects in the Local Repository, you must check in the information objects.

Prerequisites

If you want to edit information objects from the Knowledge Warehouse and you have not yet downloaded these objects to the Local Repository, you must work with the Knowledge Workbench in online mode.

The information objects to be edited may not have been checked out of the Knowledge Warehouse by another user. Information objects that were checked out by other users may only be viewed.

Functionality

A separate window of the Structure Editor is opened for each structure to be edited.

The window has two frames:

  • In the left frame, the structure is displayed as a tree whose nodes can be expanded and compressed. Actions for individual information objects can be executed in the tree view in the left frame.
  • In the right frame, the information objects of the node that is currently selected are displayed. If you want to perform actions for several objects at the same time, you must select the objects in the right frame.

In the Structure Editor you can:

  • Insert information objects in a structure
    • from a folder in the Knowledge Warehouse or Local Repository
    • from a hit list created by searching the Knowledge Warehouse or Local Repository
  • Remove information objects from a structure
  • Move information objects within a structure
  • Copy information objects within a structure
  • Print a structure tree
  • Change the type of link of an embedded structure
  • Define a default link type for embedded structures (structure link or structure include)
  • Change and display attribute values of information objects

Activities

Select the structure to be edited.

Start the Structure Editor with Info object ® Edit info object(s).


Inserting a New Content Object in a Structure

Prerequisites

You are in the Knowledge Workbench.

You opened a structure in the Structure Editor.

Procedure

To insert a new content object in the structure:

  1. Position the cursor where the new content object should be inserted.
  2. Choose Edit ® New info object ® Before node ... or After node ... or As first subnode ... or As last subnode ...

    3. The Create New Content Object wizard appears.

  3. Choose Continue.
  4. Select the information class for the new content object and continue.
  5. Enter the attributes for the new content object.

    6. If you maintained default values, the fields are already defined.

  6. Choose Finish.

Result

The new content object is inserted in the structure.


Inserting Information Objects in a Structure

Use

You can insert information objects in a structure with this procedure. You can insert any information objects that belong to the same area as the structure (for example Training).

Prerequisites

You are in the Knowledge Workbench.

You opened the structure in which the information objects should be inserted in the Structure Editor.

Procedure

To insert an information object in the structure:

  1. Place the cursor where the information object should be inserted.
  2. Choose Edit ® Insert info object ® Insert before node ... or Insert after node ... or Insert as first subnode ... or Insert as last subnode ...

    3. The Locate Info Object dialog box appears:

  3. Select how you want to search for information objects.
  4. Choose Continue.
    • If you chose By browsing for a folder, select the folder to be searched in the Select a folder dialog box.
    • If you chose By searching in the Local Repository, select the local context to be searched in the Local Context dialog box.
    • If you chose By searching for info objects located in the Knowledge Warehouse, enter suitable search criteria in the Find Info Objects in the Knowledge Warehouse dialog box.
    • If you chose By searching for a folder located in the Knowledge Warehouse, enter suitable search criteria in the Select a folder dialog box.

The information objects found are displayed.
  5. Choose the information object to be inserted in the structure.
  6. Choose OK.

Result

The information object is inserted in the structure.

Only references to the information objects are inserted. No physical copies of the actual information objects are created.

The structure is inserted as a structure include.

The advantage of structure includes is that the screen does not change in the structure when the information objects are displayed.


Changing a Structure Include to a Structure Link

Use

A structure is inserted in a structure as a structure include.

You can change a structure include to a structure link with this procedure.

Prerequisites

You are in the Knowledge Workbench.

You opened the structure containing the structure include in the Structure Editor.

Procedure

To change a structure include to a structure link:

  1. Select the structure that was inserted as a structure include.
  2. Select Edit ® Node properties.

    3. The Node Properties dialog box appears.

  3. Select Structure link.

Result

The structure include was changed to a structure link.


Mov ing I nformation O bjects within a S tructure

Prerequisites

You are in the Knowledge Workbench.

The structure is open in the Structure Editor.

Procedure

To move information objects within a structure:

  1. Select the information objects to be moved.

    2. If you want to move one information object, select this information object in the left frame of the Structure Editor.

    If you want to move more than one information object, select this information object in the right frame of the Structure Editor.

  2. Pressing the left mouse key, drag the selected information objects to the target position within the structure in the left frame of the Structure Editor.

When you let go of the mouse, a dialog box appears with the following entries:
    • Insert before node
    • Insert after node
    • Insert as first subnode
    • Insert as last subnode
  3. Choose an entry.

Result

The information object is moved to the new position in the structure.


Copy ing I nformation O bjects within a S tructure

Prerequisites

You are in the Knowledge Workbench.

The structure is open in the Structure Editor.

Procedure

To copy information objects within a structure:

  1. Select the information objects to be copied.

    2. If you want to copy an information object, select it in the left frame of the Structure Editor.

    If you want to copy more than one information object, select them in the right frame of the Structure Editor.

  2. Choose Edit ® Copy.
  3. Place the cursor within the structure in the left frame of the Structure Editor.
  4. Choose Edit ® Paste.

A dialog box appears with the following entries:
    • Before the currently selected node
    • After the currently selected node
    • As first subnode of the currently selected node
    • As last subnode of the currently selected node
  5. Choose an entry.

Result

The information object is copied and inserted at the selected position in the structure.

Only references to the information objects are inserted. No physical copies of the information objects are created.


Copying Information Objects between Structures

Prerequisites

You are in the Knowledge Workbench.

The source and target structures are open in two windows of the Structure Editor.

Procedure

To copy information objects between structures:

  1. Select the information objects to be copied.

If you want to copy an information object, select it in the left frame of the Structure Editor.

If you want to copy more than one information object, select them in the right frame of the Structure Editor.
  2. Choose Edit ® Copy.
  3. Place the cursor in the other structure in the left frame of the Structure Editor.
  4. Choose Edit ® Paste.

A dialog box appears with the following entries:
    • Before the currently selected node
    • After the currently selected node
    • As first subnode of the currently selected node
    • As last subnode of the currently selected node
  5. Choose an entry.

Result

The information object is copied between the structures and inserted at the selected position in the other structure.

Only references to the information objects are inserted. No physical copies of the information objects are created.


Replacing Information Objects in the Structure

Prerequisites

You are in the Knowledge Workbench.

You opened a structure in the Structure Editor.

Procedure

To replace a content object in the structure:

  1. Select the content object to be replaced.
  2. Choose Edit ® Replace selected nodes.

The Find Info Object dialog box appears:
  3. Select how you want to search for information objects.
  4. Choose Continue.
    • If you chose By searching for a folder, select the folder to be searched in the Select a folder dialog box.
    • If you chose By searching in the Local Repository, select the local context to be searched in the Local Context dialog box.
    • If you chose By searching for info objects in the Knowledge Warehouse, enter suitable search criteria in the Find Info Objects in the Knowledge Warehouse dialog box.
    • If you chose By searching for a folder in the Knowledge Warehouse, enter suitable search criteria in the Select a folder dialog box.

The information objects found are displayed.
  5. Select an information object.
  6. Choose OK.

Result

The information object is replaced with the selected information object.


Removing Information Objects from a Structure

Prerequisites

You are in the Knowledge Workbench.

The structure is open in the Structure Editor.

Procedure

To remove information objects from the structure:

  1. Select the information objects to be removed.

    2. If you want to remove one information object, select this information object in the left frame of the Structure Editor.

    If you want to remove more than one information object, select this information object in the right frame of the Structure Editor.

  2. Choose Edit ® Remove nodes or press Del .

Procedure

The information object is removed from the structure.

Only the reference to the information object is removed. The physical information object is not deleted.


Maintaining Information Object Attributes in Structures

Use

You can maintain and display the following with this procedure:

  • the type of link between a structure and another structure object that is embedded in the structure (structure link or structure include)
  • general attributes of information objects in a structure

Prerequisites

You are in the Knowledge Workbench.

The structure with the information objects is open in the Structure Editor.

Procedure

To call the individual functions listed in the below table, select the information object in the structure and open the context menu with the right mouse key.

Function | Entry in context menu
Change type of link for selected embedded structure | Node properties ...
Display attribute values of selected information objects | Display attributes ...
Change attribute values of selected information objects | Change attributes …
Display contexts in which there are versions of the selected information objects | Display context list ...
Display information objects having a link to the selected information object | Where-used list ...


Displaying Information Objects in the Web Browser

Use

This procedure displays the current version of an information object in the Knowledge Warehouse in the Web Browser.

If the information object is currently checked out and being edited by another author, you will not see the changes that this author made to the information object in his Local Repository.

Prerequisites

You are working with the Knowledge Workbench in online mode.

Procedure

To display information objects in the Web Browser:

  1. In the Knowledge Warehouse, select the information object you want to display in the Web Browser.
  2. Choose Info object ® Display info object(s).

You can also display an information object by double-clicking.

Result

The information object is displayed in the Web Browser.


Displaying Content Objects in the Local Repository

Use

This procedure displays a content object that was checked out for editing in the Local Repository.

Procedure

  1. Select a content object in the Local Repository.
  2. Choose Info object ® Display info object(s).

You can also display a content object by double-clicking.

Result

The content object is displayed in the Editor corresponding to the information category of the object.

Since the HTML versions of content objects are only created when the objects are check into the Knowledge Warehouse, the content objects in the Local Repository are displayed in their maintenance format.


Removing Information Objects from the Local Repository

Use

With this procedure you can remove information objects from the Local Repository.

  • that you checked out of the Knowledge Warehouse but do not want to update
  • that you created anew in the Local Repository but do not want to check in

Prerequisites

You are working with the Knowledge Workbench in online mode.

Procedure

To remove information objects from the Local Repository:

  1. Select the information objects to be removed.
    2.

    If you created these information objects anew in the Local Repository, they are deleted and cannot be checked in again.

  2. Choose Info object ® Remove info objects from the Local Repository or press Del .
  3. Confirm.

Result

The selected information objects are removed from the Local Repository.

  • If you checked these information objects out of the Knowledge Warehouse, they are unlocked in the Knowledge Warehouse and can again be checked out by other authors for editing.
  • If you created these information objects anew in the Local Repository, they are deleted and cannot be checked in again.


Deleting Information Objects in the Knowledge Warehouse

Use

You can delete information objects from the Knowledge Warehouse with this procedure.

The information objects are no longer available in future contexts.

Prerequisites

You are working with the Knowledge Workbench in online mode.

Procedure

To delete information objects in the Knowledge Warehouse:

  1. Check the context.
  2. Select the information objects to be deleted.
  3. Choose Info object ® Remove objects from the Knowledge Warehouse or press Del .
  4. Confirm.

Result

The selected information objects are deleted from the Knowledge Warehouse and are no longer available in future contexts.


Unlocking Information Objects in the Knowledge Warehouse

Use

This procedure resets the check-out flag in the Knowledge Warehouse for information objects that were checked out but not checked in.

The information objects are unlocked and can be edited by other users.

This could be necessary if you removed checked out information objects from the Local Repository and the Knowledge Workbench was in offline mode.

Prerequisites

You are working with the Knowledge Workbench in online mode.

Procedure

  1. Select the information objects to be unlocked in the Knowledge Warehouse.
  2. Choose Info object ® Checkout cancel.

You can no longer check in the information objects from the Local Repository once you have performed this action. All changes made to these objects are lost.

Result

The information objects are unlocked in the Knowledge Warehouse and can be edited by other users.


Finding Information Objects

Use

You can find information objects in the Knowledge Warehouse or Local Repository with this procedure.

Prerequisites

To search the Knowledge Warehouse, you must be logged onto the Knowledge Warehouse R/3 System.

The active window must be an Explorer window and not a Structure Editor window.

Procedure

To find information objects:

  1. Choose Edit ® Find ® Objects in the Local Repository or Edit ® Find ® Objects in the Knowledge Warehouse

    2. A dialog box appears in which you can set the context in which you want to search for the information objects.

  2. Set the required context:

    3. You go to a dialog box in which you can enter the search criteria.

  3. Enter suitable search criteria and choose Find.

The information objects corresponding to your search criteria are displayed.

Result

The information objects found are displayed in an Explorer window where they can be viewed or edited.


Checking Information Objects into the Knowledge Warehouse

Use

You can check information objects that you created or edited in the Local Repository into the Knowledge Warehouse with this procedure.

The (updated) contents of these objects are available to other Knowledge Warehouse users once you have checked in the information objects.

Prerequisites

You are working with the Knowledge Workbench in online mode.

The information objects were newly created or changed.

Procedure

To check information objects into the Knowledge Warehouse:

  1. In the Local Repository, select the information objects to be checked into the Knowledge Warehouse.

    2. You can only check in information objects having the value Yes for the attribute Changed.

  2. Choose Info object ® Update info object(s).

    3. The selected information objects are checked into the Knowledge Warehouse.

    A dialog box appears confirming that the check-in was successful.

  3. Choose OK.

Result

The information objects were checked into the Knowledge Warehouse.

If you previously checked the objects out of the Knowledge Warehouse for editing, the new (updated) versions of these objects are now available in the Knowledge Warehouse.


Working with the R/3 System of the SAP Knowledge Warehouse

Use

You can use the functions provided in the SAP Knowledge Warehouse R/3 System.

Integration

Prerequisites

Functionality

Activities


Selecting the Processing Mode

Use

You can choose one of the following processing modes:

    • Displaying Information Objects
    • Change information objects in the original language
    • Translating Information Objects

Different functions are available, depending on the processing mode.

For example, information objects can be deleted in processing mode Change, but not in processing mode Translate. In processing mode Translate you can access information objects in the selected source and target languages.

Prerequisites

You are logged onto the R/3 System in which you want to change and translate information objects.

Procedure

With Knowledge Warehouse, choose the processing mode in which you want to use the SAP Knowledge Warehouse.

Result

The initial screen with the functions available for the selected processing mode is displayed.


Initial Screen

Use

You can organize your work in the initial screen.

In the private folder selection you can include all the folders you are editing or are interested in.

You can also call further functions from the initial screen.

Integration

You can call all the R/3 components of the SAP Knowledge Warehouse from the initial screen.

Prerequisites

You are in the initial screen in processing mode Change or Translate.

Functionality

The following functions are offered in the initial screen:

  • Define settings
  • Create folders and maintain folder attributes
  • Maintain the private folder selection
  • Find information objects in the Knowledge Warehouse
  • Check out folders
  • Check folders and display the check results
  • Check R/3 links
  • Create offline presentations (Training a rea)
  • Check out information class templates (Documentation area)
  • Create translation packages for folders (Translation area)
  • Read translation packages ( Translation mode)
  • Transport folders
  • Print structures with information objects

The following navigation options are offered in the initial screen:

  • Call the preview and the Web Browser

Select a structure and choose Structure ® Display ® Preview or Web Browser.

  • Call the Info Object List.

Do this by double-clicking on the folder title or choosing Folder ® Info Object List.
  • Call online processing (Change mode)

Do this by double-clicking on a structure.
  • Call Translation by structure (Translation mode)

Do this by double-clicking on a structure.


Settings

Use

Use this function to make user-specific settings affecting the display and processing.

Prerequisites

You are in the initial screen of the Knowledge Warehouse.

Functionality

You can define the following settings:

  • Context
    • Processing mode (Change, Translate)
    • Language, target language (for Translate mode)
    • Show/hide enhancement
    • Show/hide country
  • Area
    • Documentation
    • Training
    • Management
  • Display of information objects in the Web Browser or in the offline presentation
    • All information objects (whatever their status)
    • Only released information objects


Changing the Context

Use

A set of context parameters in the Knowledge Warehouse specify the versions of information objects that you can access for display and editing.

Integration

When you use a certain type of information object display (DynamicHelp), these context parameters, e.g. the release of the R/3 System used, are also effective in the display: they determine the information object version to be displayed at runtime.

Functionality

You can define the following context parameters for the version selection in the Knowledge Warehouse:

  • Language of the content objects
  • Target language of the content objects (in processing mode Translate)
  • R/3 System release which the information objects describe
  • Country for which the information objects are valid

If you want to edit an enhanced version of the standard system, you must define the following parameters instead of the standard release:

  • Name and release of the enhancement (e.g. for an industry solution) to which the documents refer.

Select the enhancement name and release from a list of existing enhancements and enhancement releases.

To display all existing enhancements in the Enhancement field, you must first delete the entry in the Release field.

Activities

To change the context choose Settings ® Change context.

The following options are presented in the dialog box Enter context:

  • To go to a different processing mode, choose Processing mode Change or Processing mode Translate.
  • In Translate mode the target language is shown as well as the source language.
  • To set an enhancement context, choose Show enhancement. To go back to the standard context, choose Hide enhancement.
  • To show or hide the country, choose Show/hide country.


Selecting Areas

Use

This procedure defines the areas to be displayed in the initial screen.

Only the functions that are relevant for the particular area are offered.

If you select a function that is offered for more than one area, you are asked in which area you want to execute the function.

Prerequisites

You are in the initial screen of the SAP Knowledge Warehouse.

Procedure

To select an area:

  1. Choose Settings ® Choose areas.

    2. The Choose Area dialog box appears.

  2. Select the areas in which you want to work and which should be displayed in the initial screen.
  3. Copy the selection.

Result

The folders of the selected areas are displayed in the initial screen.


Defining the Information Object Display

Use

With this procedure you can define which information objects:

  • should be displayed in the Web Browser or offline presentation
  • should be printed when you print a structure with information objects

You can define:

  • if only released information objects should be displayed, or
  • if the current version of the information objects should be displayed, whatever their status.

Procedure

To define the information object display:

  1. Choose Settings ® Display info objects.

    2. The Display Info Objects dialog box appears.

  2. Choose a kind of display and then Continue.

Result

The information objects are displayed as selected in the Web Browser and offline presentation.

The selection is valid until the next settings change for the information object display.


Maintain Private Folder Selection

Use

With this function you can insert folders that are used frequently in your Private folder selection.

Integration

The Private folder selection is stored user-specifically.

Prerequisites

You are in the initial screen of the SAP Knowledge Warehouse.

Functionality

You can insert or delete folders in the Private folder selection.

You can select the folders from the displayed initial structure and insert them in the private folder selection or select and insert them using by searching in the Knowledge Provider.


Inserting Folders

Prerequisites

You are in the initial screen of the Knowledge Warehouse.

You want to put folders which you access regularly in your private folder selection.

Inserting Selected Folders of the Initial Structure

To insert a folder of the displayed initial structure in your private folder selection:

  1. Select one or more folders in the initial structure.

    2. To find a folder in the initial structure, use the Find Folder in Initial Structure function.

  2. Choose Folder ® Add private folder selection ® Selected folders of initial structure.

Inserting Folders

To insert a folder from the Knowledge Provider in the private folder selection:

  1. Choose Folder ® Add private folder selection ® With search.

    2. The Find Folder dialog box appears, in which you can enter search criteria:

    In the Documentation area the technical names of the folders follow the convention: HELP.<application component ID><max. 4 chars.>.

    SAP recommends that you use the technical name for the search since it is the fastest.

  2. Enter suitable values and choose Execute.
  3. A list of folders that satisfy the search criteria is displayed.
  4. Select the folders you want to add to your folder selection screen and choose Continue.

Result

The selected folders are added to your private folder selection.


Removing Folders

Use

With this procedure you can remove folders from your private folder selection.

Prerequisites

You are in the initial screen of the SAP Knowledge Warehouse.

Procedure

To remove a folder from the private folder selection:

  1. Select the folders you want to remove in the folder selection screen.
  2. Choose Folder ® Remove folder from private folder selection

Result

The folder is removed from the private folder selection.


Maintaining Folders

Use

The information objects and the documentation creation and translation processes are organized with folders. The Knowledge Warehouse contains the following functions:

  • Create, manage and delete folders
  • Folder-specific checks of the information objects (links, contexts)
  • Folder-specific statistics
  • Folder-specific consistency checks


Creating Folders

Prerequisites

You want to create information objects in you own folder or divide a large folder into several folders.

You are in the initial screen of the Knowledge Warehouse in processing mode Change.

You have authorization to create folders.

Procedure

  1. Choose Folder ® Create.

    2. The Create Folder dialog box for maintaining the folder attributes appears.

    The Owner and Productivity fields have the respective default values, the current user, the language of the current context and the value N (folder is not for production).

  2. Maintain the folder attributes.
  3. Choose Execute.

Result

The folder is created with the specified attributes and put in the private folder selection.


Deleting Folders

Prerequisites

You are in the initial screen of the Knowledge Warehouse in processing mode Change.

The folder contains no information objects.

You have authorization to delete folders.

Procedure

  1. Select the folder to be deleted in the Private folder selection.
  2. Choose Folder ® Delete.

    3. Confirm or terminate the operation in the next dialog box.

  3. Choose Yes.

Result

The folder is deleted and removed from the Private folder selection.


Displaying Folder Attributes

Prerequisites

You are in the initial screen of the Knowledge Warehouse.

Procedure

  1. Select a folder in the Private folder selection.
  2. Choose Folder ® Attributes ® Display.

Result

The Display Folder Attributes dialog box appears.


Changing Folder Attributes

Prerequisites

You are in the initial screen of the Knowledge Warehouse in processing mode Change.

You have authorization to change folder attributes.

Procedure

  1. Select a folder in the Private folder selection.
  2. Choose Folder ® Attributes ® Change.

    3. The Change Folder Attributes dialog box appears.

  3. Maintain the folder attributes.

    4. Follow the naming conventions for the folder title and folder name.

    The Productivity attribute defines whether or not the information objects in the folder are for production.

  4. Choose Execute.

Result

The changes are made.


Displaying Contexts (Versions) of Information Objects

Display Context of an Information Object

  1. Select an information object in an Info Object List.
  2. Choose Info object ® Various ® Context list

A list of the contexts in which a version of the information object exists is displayed.

Display Context of Information Objects in a Folder

  1. Select a folder in the Private folder selection.
  2. Choose Utilities ® Folder context list.

A list of the contexts in which information objects exist in the folder is displayed.


Finding a Folder in the Initial Structure

Prerequisites

You are in the initial screen of the SAP Knowledge Warehouse.

Procedure

To find a folder in the initial structure:

  1. Choose Utilities ® Find folder in initial structure.

    2. The Find Folder dialog box appears.

  2. Enter the required data and start the search.

Result

The folder found is selected in the initial structure.

To add this folder to your private folder selection choose Folder ® Add to private folder selection ® Select. folders in initial structure.


Finding Information Objects

Use

You can find information objects in the SAP Knowledge Warehouse with this function.

Integration

You can find this function in the initial screen. It is also used to set global hyperlinks.

Functionality

This function provides search results based on the search criteria that you set. The search results are provided in an Info Object List. You can therefore go directly to the maintenance screen from the search result list.

If you started the search in the background, you can store the search results and reuse them.

Activities

If you are working in more than one area, you first have to select the area in which you want to find information objects.

Select one or more information categories whose search criteria should be displayed.

To improve system performance, SAP recommends that you use selection criteria (e.g. technical name) to restrict the search.


Finding Information Objects (Online)

Procedure

To find information objects online:

  1. In the initial screen choose Utilities ® Find ® Find info object.

    2. The Area dialog box is displayed if you select more than one area with Settings.

    In this case, select the area in which you want to find the information objects.

    Otherwise the Info Category dialog box appears:

  2. Select one or more information categories.

    3. The Find Info Object dialog box appears:

  3. To improve system performance, restrict the search with selection criteria.

    4. SAP recommends that you use the technical name for the search since it is the fastest.

  4. Start the search.

Result

The results of the search are displayed in an Info Object List. You can continue editing the information objects from this list.


Finding Information Objects (in the Background)

Use

Use this procedure to

  • find a large number of information objects
  • store the results of the search.

Prerequisites

You are in the initial screen of the SAP Knowledge Warehouse.

Procedure

To find information objects in the background:

  1. Choose Utilities ® Find ® Find info object.

    2. The Area dialog box is displayed if you select more than one area with Settings.

    In this case, select the area in which you want to find the information objects.

    Otherwise the Info Category dialog box appears:

  2. Select one or more information categories.

    3. The Find Info Object dialog box appears:

  3. To improve system performance, restrict the search with selection criteria.

    4. SAP recommends that you use the technical name for the search since it is the fastest.

  4. Start the search in the background.

    5. The Specify Search Result Name dialog box appears.

  5. To improve system performance and the clarity of the list of search result, select the field User-specific.
  6. Enter the name under which the search results should be stored in the Name of extract field.
  7. In the Extract description field, enter a short text for the search results.
  8. Start the search.

Result

The search is started in the background.

The search results are saved under the given name.


Displaying and Reusing Search Results

Use

If you started the search for information objects in the background, you can display the results with this procedure.

Since the search results are stored under the name you specified, you can still use them.

Prerequisites

The search for information objects was started in the background.

Procedure

To display the results of the search:

  1. In the initial screen, choose Utilities ® Find ® Display search result for info objects.

    2. The Display Search Result dialog box appears.

  2. If you stored the search results as user-specific, select User-specific. Otherwise you have access only to user-independent search results.
  3. Enter the name under which you stored the search results.

    4. All the search results are displayed when you choose the value help.

    Click on the search result you want to copy.

  4. Start reading the search results.

Result

The results of the search are displayed in an Info Object List. You can continue editing the information objects from this list.

An Info Object List created by a search and saved is static: it only contains information objects that correspond to the search when it was made.


Deleting Search Results

Use

To improve system performance and for better clarity of the search results, use this procedure to delete obsolete and unnecessary search results.

Prerequisites

You stored the search results with the background search.

Procedure

To delete the search results:

  1. In the initial screen, choose Utilities ® Find ® Display search result for info objects.

    2. The Display Search Result dialog box appears.

  2. If you stored the search results as user-specific, select User-specific. Otherwise you have access only to user-independent search results.
  3. Call the value help.

    4. The Extract: Select dialog box appears.

  4. Choose Extract management.
  5. In the extract management, select the search results to be deleted and delete them with the function bar.
  6. Save your actions.

Result

The selected search results are deleted.


Checking Out Information Class Templates

Use

Before you begin working in a new context in the Documentation area, you must check out the information class templates for offline processing.

Prerequisites

You are in the initial screen of the Knowledge Warehouse in the Documentation area and set the context in which you want to work.

Procedure

Choose Utilities ® Documentation ® Check out templates.

Result

The information class templates are checked out and stored on the PC.

You can now start the offline editing.


Creating the Info Object List

Prerequisites

You are in the initial screen of the Knowledge Warehouse and want to choose info objects to:

  • check them out for offline editing on a PC
  • edit them online
  • maintain and display the attributes.

Procedure

Creating an Info Object List by Folder Selection

  1. Choose one or more folders in the folder selection screen.
    2.

    To select several folders listed one below the other, select the first folder, press the Shift key and select the last folder.

    To select several single folders, use the Strg key.

  2. Choose Folder ® Info Object List or double-click on the folder title.

A list of the information objects in the selected folders is displayed. The attributes of each information object are displayed in the current display variant.

The information objects in the folder(s) are only displayed if the Knowledge Provider contains information objects for that context.

Creating the Info Object List by Searching

You can create the Info Object List with the Find Info Object function.

Result

The Info Object List is created.

Choose Settings ® Color key for an explanation of the colors used in the Info Object List.


Adjusting the Info Object List

Use

You can adjust an Info Object List to the information you need.

Functionality

Info Object List adjustment functions:

  • Sort a list
  • Set and delete a filter
  • Change, save and delete display variants

The Info Object List in the Knowledge Warehouse uses ABAP List Viewer functions.

See also:

  • Sort list in ascending and descending order
  • Display variants
  • Set and delete a filter


Sorting in Ascending/Descending Order

The functions Sort in ascending order and Sort in descending order sort the report rows in ascending or descending order for one or more columns.

Sorting According to a Column in the List

  1. Select a column by clicking on the column header.
  2. Choose Sort in ascending order or Sort in descending order, or Edit ® Sort in ascending order or Edit ® Sort in descending order.

The rows are sorted in the column selected.

If you use this procedure in a multilevel sequential list, you can sort by a maximum of one header column and one subordinate row.

Sorting According to Multiple Columns or Fields Not Displayed

  1. Choose Sort in ascending order or Sort in descending order, or Edit ® Sort in ascending order or Edit ® Sort in descending order. The dialog box Define sort order appears.
  2. The dialog box Define sort order shows the fields you can sort. Fields are also available that are not shown in the list.
  3. You can limit the fields available in the list for sorting by choosing a field group that contains the desired fields.
  4. To select fields for sorting, select the relevant rows and choose Show selected fields (arrow key). The selected fields then appear in the dialog box as sorting fields.

    5. You select the sorting fields in multilevel sequential lists separately for header and item.

  5. The sequence in which the sort fields are shown determines the sequence in which the columns are sorted. To change the sequence of the fields, use the functions Cut and Paste.
  6. Use the radio buttons to specify whether the report rows are to be sorted in ascending or descending order within the column.

    7. You want to sort a list by cost centers and activity types. In the dialog box, choose the cost center and activity type as the sorting criteria. In the list of selected sorting fields, the cost center must be above the activity type. Use the radio buttons to specify ascending sequence. The result is a list sorted by cost center. The activity types are listed in ascending order for every cost center.

  7. Exit the dialog box with Copy.

If you use this procedure in a multilevel sequential list, you can sort by multiple header columns and item columns.

If you have sorted according to particular fields, you can obtain an overview of the current sort with Sort in ascending order or Sort in descending order. The dialog box Define sort order appears. The left half of the window shows all fields that were sorted by.

You can also use the List status function for an overview of the selected sort criteria.

See also:

After sorting, you can create subtotals on selected fields. For more information, see Creating Subtotals .


Setting and Deleting Filters

The Set filter function enables you to display only those rows that fulfill certain criteria in one or more columns.

Setting Filters

  1. To set a filter, select one or more columns by clicking on the column header and by choosing Set filter or Edit ® Set filter.
  2. In the Set filter dialog box, enter the From/To values for each column selected.

    3. Only those rows with data within the intervals specified is shown.

  3. Use And also to enter more than one interval for a column.

    4. To display data for cost centers 4000 to 5000 and 6000 to 7000, select the "Cost center" column, enter 4000 to 5000 in the dialog box, choose And also and enter 6000 to 7000.

  4. Use But not to exclude certain intervals from the display.

    5. To display data for cost centers 4000 to 7000 without displaying the data for cost centers 5000 to 7000, select the "Cost center" column, enter 4000 to 7000 in the dialog box, choose But not and enter 5000 to 6000.

  5. To delete entries for a filter criterium, position the cursor on the appropriate line and choose Delete condition.
  6. To delete all the entries for the filter, choose Delete filter.
  7. Choose Copy to copy the filter criteria and exit the dialog box.

Deleting Filters

To go back to the prefiltered list display, choose Edit ® Delete filter.


Display Variants

Use

You change the display of your list using display variants.

Features

The display variants which you can use vary according to the type of list:

  • In all lists, you can do the following:
    • Choose one of the standard variants supplied with the standard system (see: Choosing Display Variants ).
    • Change the current display of the list (see: Defining the Current Display Variant ).
  • In lists that use only the standard display variants in the standard system, you cannot save your changes to the current display variant. When you choose the display variants, the standard variants only will be proposed.
  • In some lists, you can also save the display variants which you have defined as your own variants (see: Saving Display Variants ).

User-defined display variants are generally saved for all users. They can then be used by all users. All users will be able to choose from the user-defined display variants as well as the standard variants.
  • In some lists, you can also save user-specific display variants which you have defined (see: Saving Display Variants ). When you choose the current display variant, these display variants are only available to you.

You can delete or transport display variants, or define them as initial variants (see: Management of Display Variants ).


Defining the Current Display Variant

With Define display variant, you arrange the current display of the list.

Procedure

  1. To change the display variant, choose Current display variant or Settings ® Display variant ® Current.

    2. The Define display variant dialog box tell you which columns are currently displayed (Display fields) and which columns can also be displayed (Hidden fields).

    Multilevel sequential lists also distinguish between the fields in the header rows and those in the item rows. You change the display variant in multilevel sequential lists separately for header rows and item rows.

  2. You restrict the list of hidden fields by only entering the fields of a particular group.

    3. Depending on the list, you can also call the change display variant mode separately for different field groups. In the standard system, the selected field group is then preset in the dialog box. You can then change the display variant for each field group selected.

  3. To show or hide columns in the list, the following functions are available:
    • With Hide all fields, you can hide all fields with the exception of the key fields. The fields appear under Hidden fields, while the only fields displayed are the key fields.
    • To show all the hidden fields, choose Show all fields. The fields appear as display fields, while the list of hidden fields is empty.
    • To show separate fields, select the relevant rows of the hidden fields and choose Show selected fields. The fields are transferred from Hidden fields to display fields.
    • To hide separate fields, select the relevant rows of the display fields and choose Hide selected fields. The fields are transferred from display fields to Hidden fields.
  4. You can use Sort in ascending order and Sort in descending order to sort the hidden fields according to the field contents. With the Find function you can search for a field name within the hidden fields.
  5. The sequence of columns in the list is determined by the item number in the Item field. The SAP R/3 System arranges the item numbers in the sequence that you use for the columns.
    • To change the sequence of the columns, overwrite the item numbers.
    • With Refresh, you can sort the display fields according to the item number.

You cannot change the item numbers of key fields.
  6. In the Length of display field column, enter the required length, if this is to be different to the standard setting.
  7. If you have changed the length of the display field and you now want to return this to the standard length, select the column and choose Get standard length.
  8. If it is possible to create totals for a column (only for value and quantity columns), you can use the Total column in the display fields to specify whether they can be created in the display variant for this column.
  9. Using a clipboard, you can cut a field from the display fields or hidden fields and insert them in the required position.
    • To do this, select a display field or hidden field and choose Cut. The field appears in the clipboard.

Only one field can be placed in the clipboard. As soon as you cut another field, the field in the clipboard is assigned to the hidden field.
    • To transfer a field in the clipboard from a certain position to the display fields, select the field before which the field in the clipboard should be inserted, and choose Paste.
  10. If you want to group the columns into several lines in order to view all the columns in one window without having to scroll through, for example, choose Line 2 or Line 3.

You can group columns in a maximum of three lines. In sequential lists, you can group the column headers as well as the subordinate rows in a maximum of three lines.

For additional lines, all the remaining hidden fields are available, that is, those that have not been assigned to other lines. Assignment of the hidden fields is carried out as described in point 3.

The functions Refresh (see point 5), Cut and Paste (see point 9) are also available.

You can also use the Cut and Paste functions to cut fields from a line and insert them in another line.
  11. Choose Copy to copy the entries and exit the dialog box.

If you exit the ABAP List Viewer without saving the display variant (see Saving Display Variants ), your settings will not be saved. When you next call up the list, the standard settings will appear. You can no longer call up your display variant.


Saving Display Variants

Prerequisites

The list provides the display variants that you can save.

Procedure

  1. Choose Save display variant or Settings ® Display variant ® Save.
  2. In the dialog box, enter a name and a description for your display variant.

    3. You cannot give the variant a name that begins with a number, since this type of name is reserved for the standard display variants in the standard system.

  3. In general, display variants are available for all users as client-specific standard display variants.

    4. In lists in which you can save display variants as user-specific, you can select User-specific.

    User-specific display variants must begin with a letter (A-Z).

    Non-user-specific display variants (client-specific standard display variants) must begin with "/".

  4. If you have entered sort criteria, subtotals criteria or filter conditions, you can save the display variant with these criteria by selecting the criteria.
  5. Specify the summation level to which the list should be broken down when calling the variant. With the entry 0, all the non-totals rows are displayed in addition to the totals rows and subtotals rows.
  6. Choose Save to save the display variant with the criteria entered and exit the dialog box.
  7. If a display variant with the same name already exists, the system will inform you of this and you can either overwrite the existing variant (Continue) or enter another name (New entry).


Choosing Display Variants

  1. To choose an existing display variant for the display of the list, choose Choose display variant or Settings ® Display variant ® Choose.

A list of the existing display variants is displayed. In the standard setting, an entry is made for each variant specifying whether this variant was saved as follows:
    • With sorting
    • With subtotals
    • With filter conditions
    • As a user variant
  2. You can change the display variant list with the following ABAP List Viewer functions:
    • First column/Last column or Column left/Column right (see: Navigating Within the List )
    • Choose detail (see: Choosing Detail )
    • Sort in ascending order or Sort in descending order (see Sorting Lists in Ascending or Descending Order )
    • Set filter or Delete Filter ( Setting and Deleting the Filter )
    • Current display variant ( Defining the Current Display Variant )
    • Find ( Finding Terms )
    • Find next

If several hits were found with the Find function, and you have gone to one of these positions in the list, you can then use Find next to go to all of the positions in the list of display variants that contain the term.
  3. In the dialog box, choose a display variant either with a single click on the variant name or by positioning the cursor on the relevant display variant and choosing Copy.


Management of Display Variants

Use

Display variant management enables you to do the following:

  • Delete display variants
  • Transport display variants
  • Define display variants as initial variants

Activities

To reach display variant management, choose Settings ® Display variant ® Management.

A list of the display variants is displayed.

The standard SAP display variants begin with a number.

Non-user-specific display variants (client-specific standard display variants) begin with "/".

User-specific display variants begin with a letter (A-Z).

Features

Processing Lists with ABAP List Viewer Functions

You can process the list of display variants with the following ABAP List Viewer functions:

  • First column/Last column or Column left/Column right (see: Navigating Within the List )
  • Choose detail (see: Choosing Detail )
  • Sort in ascending order or Sort in descending order (see Sorting Lists in Ascending or Descending Order )
  • Selecting and deselecting rows (see: Selecting and Deselecting Rows )
  • Set filter or Delete Filter ( Setting and Deleting the Filter )
  • Current display variant ( Defining the Current Display Variant )
  • Find ( Finding Terms )
  • Basic list ( Displaying the Basic List )
  • Printing lists ( Printing Lists )
  • Sending lists ( Sending Lists as Documents )
  • Saving lists as local files ( Local File )

Displaying User-Defined Variants/Standard Variants

If user-defined variants can be defined in the list (see: Saving Display Variants ), you can use User-Defined Variants/Standard Variants to switch between the display of the standard variant that is available to all users and the display of the user-defined variants that are only available to you.

The display of the standard variants includes the SAP standard variants as well as the non-user-specific, client-specific display variants.

Deleting Display Variants

If you want to delete one or more display variants, select it/them and choose Delete display variant or Edit ® Delete display variant.

Setting Initial Variants

If you want the list to issue a particular display variant instead of a basic list, click on the row of the variant in the IV (Initial Variant) column, or select the display variant and choose Set intitial variant or Edit ® Set initial variant.

Saving Display Variants

With Display variants ® Save, you can save the changes to the list of display variants.

Importing Display Variants

With Import display variants, you can import one or more variants from another client.

  1. Choose Environment ® Import display var.
  2. Enter the source client from which the import should proceed. A list of all the standard variants in the client is displayed.
  3. Select the desired display variant. To select all the variants, use Select all.
  4. Choose Import.

Transporting Display Variants

With Display variants ® Transport, you can transport standard display variants from the current system into the target system. The SAP System puts the selected variants in a Customizing order.

  1. Select one or more standard display variants that you want to transport into another system. To select all the standard display variants, use Select all.

    2. Note that you can only transport standard display variants (the standard variants or client-specific display variants in the standard system) – you cannot transport user-specific display variants.

  2. Choose Display variants ® Transport
  3. To create a new transport order, choose Create order enter a name for the order and save the order.

    4. To select an existing transfer order, choose Own order and double-click on the desired order.

  4. Exit the dialog box with Continue.
  5. Transport the transfer order into the target system with the functions of the transport system. For this, choose Utilities ® Requests (Organizer).


Refreshing the Info Object List Display

Use

This procedure refreshes the display of the Info Object List when you change the attributes of the information objects.

Prerequisites

You are in the Info Object List.

Procedure

To refresh the display of the Info Object List, choose Refresh.

Only the attributes of the information objects contained in the Info Object List are refreshed.

To display new information objects, you must leave the Info Object List and then call it again.


Maintaining Information Objects in the R/3 System

Use

This function permits you to maintain information objects in the R/3 System without having to check them out.

Prerequisites

You are in the initial screen or in the Info Object List.

The information objects to be edited must be checked in.

Functionality

With this function you can

  • Create information objects
    • Structures
    • Content objects (assigned or not assigned to a structure)
  • Change information objects
    • Structures (insert, move, copy, delete information objects)
    • Content objects (maintain text and graphics)
  • Delete information objects


Creating Information Objects in the Info Object List

Use

You can create the following information objects:

  • Structures
  • Content objects that are not assigned to a structure

For information about creating information objects that are assigned to a structure, see Inserting New Content Objects .

Prerequisites

You are in the Info Object List.

Procedure

To create an information object (structure or unassigned content object) in the Info Object List:

  1. Position the cursor in the folder in which you want to create the information object.
    2.

    This step assigns the information object to the right folder.

    If you omit this step, the Find Folder dialog box is displayed and you must specify the required folder there.

  2. Choose Info object ® Create.

    3. The Info Category dialog box appears:

  3. Select a category.

    4. The Create Attributes dialog box appears.

  4. Enter the required data.
    5.

    When you create a structure, you can specify in the Usage type field whether it is a book structure or a substructure . You can find the possible values in the value help.

    If the structure to be created is a substructure (e.g. structure includes), you do not have to make an entry in this field.

    The online processing screen appears.

  5. Enter and save the required data.

Result

The structure or unassigned content object was created.


Deleting Information Objects in the R/3 System

Prerequisites

You are in the Info Object List or online processing.

You checked if the information object is linked with the R/3 System by R/3 links and deleted them.

You made sure that the information object is not accessed with hyperlinks.

Procedure

  1. Select the information object.
  2. Choose Info object ® Delete.

The Delete Info Object dialog box appears in which you can confirm or terminate the operation.

If the information object is used in structures or content objects of the current release, the Where-used list function appears in the dialog box.
  3. Choose Show use.

The information objects of the current context that refer to the selected information object are displayed The display is sorted by folder.
  4. Delete the links that refer to the information object to be deleted.
  5. Go back to the Delete Info Object dialog box.
  6. Confirm the deletion.

Result

All language and format versions of the information object as are deleted in the current release. The deleted information object is no longer available in subsequent releases.

If the information object already existed in earlier releases, it is only deleted starting with the release that is set. It still exists in earlier releases.


Changing Structures in the R/3 System

Use

This function permits you to change structures in the R/3 System without having to check them out explicitly.

Prerequisites

The structure and its content objects must be checked in.

Functionality

With this function you can

  • Create new information objects and insert them in the structure
  • Insert existing information objects in the structure
  • Insert structures in structures as
    • Link

Changes are automatically made to the structure for structure links.
    • Include

The advantage of structure includes is that the screen does not change in the structure when the information objects are displayed.

Furthermore, changes to the included structure are made automatically.
  • Edit structure includes or structure links
  • Copy information objects within the structure
  • Move information objects within the structure
  • Replace information objects
  • Remove information objects from the structure

Activities

You go from the initial screen to the structure maintenance screen by double-clicking on the structure to be maintained.

You go from the Info Object List to the structure maintenance screen by selecting the structure object and choosing Info object ® Change contents.


Inserting New Content Objects

Use

This procedure enables you to create content objects and insert them in the structure.

Prerequisites

You are in the Edit Structure screen.

Procedure

To insert a new content object:

  1. Position the cursor where the content object should be inserted.
  2. Choose Info object ® Insert ® On same level or As subnode.

    3. The Insert Info Object dialog box appears.

  3. Choose Create new info object.

    4. The Info Category dialog box appears:

  4. Select a category.
  5. Enter the required data and choose Enter.

    6. The online processing screen appears.

  6. Enter and save the required data.
  7. Save the structure.

Result

The content object was created and inserted in the structure as a new node.


Inserting New Structures

Use

This procedure creates a structure and inserts it as a link or include.

Prerequisites

You are in the Edit Structure screen.

Procedure

To insert a new structure in the structure:

  1. Place the cursor where the new structure should be inserted.
  2. Choose Info object ® Insert ® On same level or As subnode.

    3. The Insert Info Object dialog box appears.

  3. Choose Create new info object.

    4. The Info Category dialog box appears:

  4. Select a category.

    5. The Create Structure dialog box appears.

  5. Enter the required data and choose Enter.
    6.

    When creating structures, you can define whether it is a book structure or a substructure in the Usage type field. You can find the possible values in the value help.

    If the structure to be created is a substructure (e.g. structure includes), you do not have to make an entry in this field.

    The maintenance screen for the root content object of the structure appears.

    Component is entered as the information class since (according to the information design) it is the information class assigned to the first content object of a structure.

    If you do not want this information class, assign the content object a different information class.

  6. Enter the required data.
  7. Save your entries and return.

    8. The Structure: <Technical name of the structure> dialog box appears. <Technical Name of the Structure>.

  8. Define whether the structure should be inserted as an include or a link.

Structure include

Use a structure include if
    • you use a structure once in a main structure.

You divided a large structure into several smaller structures so that you can work independently of the others in your team.

Include these smaller structures in the main structure.
    • you want to use smaller structures more than once.

Structures containing general content objects.

Structure link

Use a structure link to provide users with information from another related main structure.
  1. Save the structure.

Result

The structure was created with a content object and inserted in the structure as a new node.


Inserting Existing Information Objects

Use

This procedure enables you to insert existing content objects and structures in the structure.

You can include or link to existing structures.

Prerequisites

You are in the Edit Structure screen.

Procedure

To insert an existing information object in the structure:

  1. Position the cursor where the information object should be inserted.
  2. Choose Info object ® Insert ® On same level or As subnode.

    3. The Insert Info Object dialog box appears.

  3. Select Use existing info object.

    4. The Info Category dialog box appears:

  4. Select a category.

    5. The Find Info Object dialog box appears:

  5. Enter the selection criteria and start the search.

    6. SAP recommends that you use the technical name for the search since it is the fastest.

    The Select Info Objects dialog box appears.

  6. Select the information objects to be inserted and copy them.

    7. After selecting a structure object, you can specify if you want to include the structure or link to the structure in the Structure: <Technical name of the structure> dialog box.

    The advantage of structure includes is that the screen does not change in the structure when the information objects are displayed.

    Furthermore, changes to the included structure are made automatically.

  7. Save the structure.

Result

The content object or structure object was inserted in the structure as a new node.

You can see if a structure object was inserted as include or link.


Editing Structure Includes and Links

Prerequisites

You are editing the Edit Structure <Structure name> screen online.

The displayed structure contains structure includes or structure links.

Procedure

To edit a structure include or structure link within the displayed structure, double-click on the title of the structure include or structure link.

Result

You can now edit the selected structure include or structure link online and can add or change information objects.


Finding Information Objects in a Structure

Use

You can find information objects within the edited structure with this procedure.

Prerequisites

You are in the Edit Structure <structure name> screen.

The information object found is assigned to the structure that you are editing.

Procedure

To find an information object in the structure:

  1. Position the cursor on the location within the structure where the search should begin.
  2. Choose Info object ® Find ® In structure.

    3. The Find Node dialog box appears.

  3. Enter the title of the information object.

    4. You can also enter the search term generically: *docu*

  4. Start the search.

Result

The first information object that matches the search term is selected.

To continue searching, choose Info object ® Find ® Next occurrence.


Copy information objects within the structure

Prerequisites

You are in the Edit Structure screen.

Procedure

To copy information objects within a structure:

1. Select the information object.

2. Choose Info object ® Copy to clipboard.

The information object is copied to the clipboard.

3. a. Position the cursor on the information object after which the information object should be inserted.

4. Choose Info object ® Insert from clipboard ® On same level or As subnode.

5. Save the structure.

Result

The information object was copied and inserted in the new position.


Moving Information Objects within the Structure

Prerequisites

You are in the Edit Structure screen.

Procedure

To move information objects within a structure:

  1. Select the information object.
    1. Place the cursor on the information object.
    2. Choose Info object ® Mark.
  2. Move the information object.
    1. Place the cursor on the information object after which the information object should be inserted.
    2. Choose Info object ® Reassign.

      3. The Reassign Nodes dialog box appears.

    3. Specify if the information object should be inserted on the same level or on a lower level.
    4. Choose Reassign.
  3. Save the structure.

Result

The information object was moved to the new position.


Replacing Content Objects in the Structure

Use

This procedure replaces one content object with another.

Prerequisites

You are in the Edit Structure screen.

Procedure

To replace a content object with another one:

Place the cursor on the content object you want to replace.

Choose Info object ® Replace.

Decide if you want to replace the content object with a new or an existing content object.

Now execute the procedure for inserting a new content object or for inserting an existing information object.

Result

The content object is replaced with the new or selected content object.


Removing Information Objects from the Structure

Prerequisites

You are in the Edit Structure screen.

Procedure

To remove an information object from the structure:

  1. Select the information object to be removed.
  2. Choose Info object ® Remove from structure.
  3. Save the structure.

Result

The information object was removed from the structure.


Changing Content Objects in the R/3 System

Use

This function permits you to change content objects in the R/3 System without having to check them out.

Prerequisites

The structures and their content objects must be checked in.

Functionality

With this function you can

  • Enter and change text
  • Insert and edit graphics
  • Set hyperlinks

Activities

  • Change content objects starting with the Info Object List
    1. Select the content object in the Info Object List
    2. Choose Info object ® Change contents.

The Change Info Object screen appears:

  • Change content objects in the structure maintenance.
    1. Select the structure object in the Info Object List
    2. Choose Info object ® Change contents.

The Edit Structure <structure name> screen appears.

You can change the content objects in the structure here. You can go directly to the editor by double-clicking.


Formatting Content Objects

Use

The content objects edited in Word format are converted to the display format HTML. The format and layout of Application help content objects are determined by the features and constraints of the page description language HTML and the conversion from Word to HTML.

The following instruments are available to help authors and translators to format and layout objects according to the SAP information design:

  • Document templates for each information class
  • Styles
  • Standard toolbar with functions for formatting lists
  • Functions for inserting standard icons and hyperlinks
  • Autotexts for keyblock headings of the information classes and standard texts


Maintaining Hyperlinks Between Content Objects

Use

You can use hyperlinks to link any content objects of the Knowledge Warehouse.

You can maintain hyperlinks by inserting links to content objects in other content objects.

Content objects can also contain links to:

  • Glossary definitions (information category IWB_GLOS)
  • IMG documents (information category IWB_IMG).

Hyperlinks are maintained independently of the context. The context (release, language, enhancement) controls which version of the content object is displayed at runtime.

Functionality

When working online, you can insert hyperlinks to:

  • Content objects found by searching in the Knowledge Warehouse.

When working offline, you can insert hyperlinks to:

  • Content objects that are checked out and stored in the same local context on the PC. This does not require an R/3 System connection.
  • Content objects found with a global search in the Knowledge Warehouse. This does require an R/3 System connection.

The global search can also be used to insert links to glossary definitions and to IMG documents.

The hyperlink hotspot can be any text in the content object or the title of the target object.

The hotspot is not automatically adjusted when the title of the target object changes.

You can remove hyperlinks by deleting the hotspot of the link in the relevant content object.


Inserting Hyperlinks

Prerequisites

You are processing online.

You opened a content object.

Procedure

To insert a hyperlink:

  1. Choose the insertion position or select the hyperlink hotspot text.
  2. Choose Insert hyperlink.

    3. The Info Category dialog box appears:

  3. Select a category.

    4. The Find Info Object dialog box appears:

  4. Enter your search criteria for the content object and start the search.

    5. The content objects found are listed.

  5. Select the desired content object and choose Copy.

Result

A hyperlink to the selected content object is inserted in the content object.

The link hotspot is highlighted in blue and underscored.

If IMG documents are converted to HTML and stored in the Knowledge Provider, you can also insert hyperlinks to IMG documents in this way. Enter the name of the IMG document in the Technical name field in the dialog box for finding information objects.

Hyperlinks to glossary definitions can also be inserted in the same way.


Moving Information Objects to Another Folder

Prerequisites

You have authorization to move information objects to another folder.

You are in the Info Object List of a folder.

Procedure

  1. Select one or more information objects.
  2. Choose Info object ® Various ® Put in folder.

The Find Folder dialog box appears, in which you can enter the following search criteria:
    • Title
    • Technical name
    • Owner
  1. Enter suitable values and choose Execute.

    2. The list of folders found appears.

  2. Select a folder and choose Continue.

A system confirmation message is output.

If you want to move information objects to folders that are flagged not productive, make sure that they are not used in delivered structures or content objects.

Result

The information objects are moved to the selected folder.


Maintaining Index Entries

Use

You can maintain index entries for content objects with this function.

Maintaining index entries makes it easier to find information.

Integration

The index entries are used in the Info Object Viewer (HTML help) to find the index.

The index entries are created in the terminology database and maintained with a special interface. The authoring system is directly linked to the terminology maintenance.

Prerequisites

You are in the Info Object List.

The content objects have Editing status and have not been checked out.

You can only maintain index entries for content objects.

Functionality

This function:

  • Assigns index entries from a list of proposals
  • Creates index entries in the terminology database
  • Changes index entries in the terminology database
  • Displays and prints an alphabetical index list
  • Displays and prints content objects with the corresponding index entries

Activities

Call the index list with Attributes ® Change ® Index entries.


Assigning Index Entries

Use

You can assign index entries for one or more content objects with this process.

The index entries are created in the terminology database. This has the advantage that the index entries only have to be translated once.

Changes to index entries also affect all the content objects to which they are assigned.

Prerequisites

You are in the Info Object List.

The content objects have Editing status and have not been checked out.

Procedure

  1. In the Info Object List, select the content objects for which you want to maintain index entries.
  2. Start index maintenance .
  3. Select the content object for which you want to assign index entries.
  4. Choose Assign index entry.
  5. Enter terms.
  6. Start checking the terms you entered.

The system checks whether the terminology database already contains terms corresponding to or resembling the terms you entered.
    • If the terminology database already contains the terms you entered or similar ones, these are displayed in the Proposal column.

To display the corresponding terminology concept, click on the proposal.
    • If there is more than one proposal for the term you entered, you can display the other proposals by clicking on the Selection column.
    • If there is no proposal for the term you entered, you can search the terminology database generically or you can define the term in the terminology database as an index entry.
  1. Assign all the terms the proposal with a generic search in the terminology database or by creating the index entries in the terminology database.
  2. Copy all the terms for which proposals were assigned.

The proposals used are highlighted in gray and can be assigned as index entries for the selected content objects.

Result

After you have completed the assignment of index entries, the checked terms or proposals used are assigned to the selected content objects as index entries.


Assigning Proposals from the Terminology Database

Use

With this procedure you can assign the terms entered in the Create Index Entry dialog box proposals from the terminology database.

Prerequisites

You are in the Assign Index Entries dialog box.

Proposals were found in the terminology database for the given terms.

Procedure

To assign terminology database proposals for the given terms:

  1. Check the given proposals in the Assign Index Entries dialog box.

    2. If the terminology database already contains the index entries you entered or similar ones, these are displayed in the Proposal column.

    To display the corresponding terminology concept, click on the proposal.

    If there is more than one proposal for the index entry you entered, you can display the other proposals by clicking on the Selection column.

  2. To display the other proposals, click on the icon in the Selection column.

    3. The Selection List Index Entries dialog box appears.

    You can select one or more proposals in this dialog box and assign them to your terms.

  3. Select one or more proposals and copy them or search generically in the terminology database.

Result

The selected proposals were assigned to the terms in the Assign Index Entries dialog box.

If you entered Request as index entry, you are given several proposals from the terminology database.

If you display these proposals in the Selection List Index Entries, for example, you can select and copy Customer request and Order.

In the Assign Index Entries dialog box, the proposals customer request and order are assigned to index entry request.

1. Select the terms whose proposal you want to copy.

2. Choose Enter.

The checked terms are highlighted in gray in the Create Index Entry dialog box.

3. To use the checked terms to the selected content objects as index entry, choose Copy.


Finding Terms in the Terminology Database

Use

This procedure searches generically for terms in the terminology database.

Prerequisites

You are in the Assign Index Entries dialog box.

Procedure

To find terms in the terminology database:

  1. Select Find in terminology.
  2. Enter a search term and start the search.

Result

A list of the terms found in the terminology database is displayed. You can select terms from this list and assign them as proposal .


Creating Index Entries in the Terminology Database

Use

You can create index entries for one or more content objects.

If you select several content objects, the index entries are assigned to all the selected content objects.

Prerequisites

The content objects have the status Editing and have not been checked out.

You are in the index list .

Dialog box Assign Index Entries does not offer any acceptable proposals for the given terms and a generic search in the terminology database does not find any suitable index entries either.

Procedure

To create an index entry in the terminology database:

1. Select one or more content objects.

2. Choose Assign index entry.

The Create Index Entries dialog box appears.

3. Enter terms and choose Check.

The Assign Index Entries dialog box appears.

If the terminology database already contains the terms you entered or similar ones, these are displayed in the Proposal column or after clicking on the Selection column.

You can assign . the proposals to the given terms.

If there is no proposal for the index entry, you can search generically in the terminology database or create the index entry in the terminology database.

4. Select the term to be created.

5. Choose Create index entry.

6. Confirm.

If this term is already in the terminology database, you can display its terminology concept.

7. Choose Continue.

8. The Maintain Index Entry dialog box appears.

9. Enter the required data.

The source of the index entry is automatically maintained.

10. Save your entries and return.

The index entry created in the terminology database is assigned to the given term as a proposal.

11. Select the terms whose proposal you want to copy.

12. Choose Enter.

The checked terms are highlighted in gray in the Create Index Entries dialog box.

13. To use the checked terms to the selected content objects as index entry, choose Copy.

Result

The index entries were created in the terminology database and assigned to the selected content objects.


Changing an Index Entry in the Index List

Use

You can change an individual index entry, e.g. correct a typing error.

Use this procedure to correct index entries for released content objects.

Prerequisites

You are in the initial terminology maintenance screen.

Procedure

To change an index entry:

Do not make any semantic changes; you should only correct typing errors or maintain further abbreviations or synonyms.
  1. Select Selection criteria in the initial terminology maintenance screen.
  2. Enter the index entry and application component.
  3. Select Index entries under Global Attributes and start the search.

    4. A result list containing all the index entries and terms used as index entries.

  4. Place the cursor on the index entry to be changed.
  5. Choose Maintain entry.

    6. The Maintain Index Entry dialog box appears.

  6. Maintain the index entry and save the changes.

Result

The changed index entry was saved.


Deleting an Index Assignment

Use

This procedure deletes the assignment of a content object to index entries in the terminology database.

Only the links in the content objects are deleted. The index entries are kept in the terminology database.

Prerequisites

You are in the index list .

Procedure

To delete the index assignment:

  1. Select the index entries whose assignment should be deleted.

    2. The Delete Index Assignment dialog box appears.

  2. Confirm.

Result

The assignment of the selected index entries to the content objects was deleted. The term stays in the terminology database.


Displaying and Printing Index Entries for Content Objects

Prerequisites

You are in the Info Object List.

Procedure

To display index entries for several content objects:

  1. Select the content objects for which you want to display index entries.
  2. Choose Info object ® Attributes ® Display.

    3. The Attributes dialog box appears.

  3. Choose Index entry.

Result

A list containing the existing index entries for all the selected content objects is displayed.

You can print this list with List ® Print.


Displaying and Printing the Alphabetical Index List

Use

You can display and print the index for the selected content objects with this procedure.

This alphabetical index list contains:

  • Main entries and sub-entries
  • Synonyms and abbreviations as cross-references

You can check the structure of the index with this alphabetical index list.

Prerequisites

You are in the index list .

Procedure

To display the alphabetical index list:

Select the index entries to be included in the alphabetical index list.

Choose Goto ® Alphabet. index list.

Result

An alphabetical, two-level index is displayed.

To print this index, choose Print.


Linking Content Objects with the R/3 System

Use

To show the user information objects for the application context in the Application help, you must create a link between content objects and R/3 contexts. You can set up this link with R/3 links. R/3 links are defined by entries in a control table that are evaluated at runtime by the R/3 System help processor. You can create an R/3 link to:

  1. an R/3 context (e.g. an application transaction),
  2. a content object
  3. the structure to which the content object is linked.

Content objects that are not assigned to any structure cannot be linked with the R/3 System.

Use the Link Assistant to create such links without having to edit the control table directly.

Integration

Transport connection

R/3 links are not stored with the management data in the SAP Knowledge Provider like hyperlinks between content objects. They are stored in the R/3 application system. You must therefore maintain the R/3 links in the relevant R/3 development system. The Link Assistant provides a link to the development system where a transport request can be created. After maintaining the R/3 links, you must use the Workbench Organizer to release the change request directly in the relevant R/3 development system.

R/3 Context

The R/3 System help processor evaluates the current application and R/3 link control table context when Application help is called. If there are R/3 links for the current context, the content objects they specify are displayed.

The standard context evaluated by the help processor is based on R/3 System application objects. The following R/3 contexts can be defined (in order of their resolution):

  • a screen of a program in a transaction
  • a screen of a program
  • a program in a transaction
  • a program
  • a transaction
  • a development class of a program

You can identify the transaction, program and screen number of the current R/3 context at any time in the R/3 System by choosing System ® Status: The data is displayed in a dialog box. If the screen and GUI programs displayed are different, always use the screen program for R/3 links.

These R/3 contexts can be general or specific to different degrees. For example a transaction is a more general context than a screen in a program in this transaction. If the context applies to several content objects when Application help is called, the content object linked with the most specific context is displayed. In the example the document linked to the screen of the program of the transaction is displayed, rather than the document linked to the transaction.

Programmed R/3 Links

In addition to R/3 links referring to such standard contexts, the Link Assistant can also define special R/3 links to an Application help directly from the program, independently of the help processor. The activation of such R/3 links requires program changes.

Prerequisites

The table entries for R/3 links must be transported from the development systems. You must have the required authorization to create a change request in a development system with the Link Assistant.

You can only maintain R/3 links for information objects in production folders.

Functionality

The Link Assistant functions are:

  • In the preview:
    • Create R/3 links for a given content object
    • Change R/3 links for a given content object
    • Delete R/3 links for a given content object
    • Create R/3 links for a given content object within a structure include
    • Change R/3 links for a given content object within a structure include
    • Delete R/3 links for a given content object within a structure include
  • In structure maintenance: (only for book structures)
    • Create R/3 links for a given content object
    • Change R/3 links for a given content object
    • Delete R/3 links for a given content object
  • In the Info Object List:
    • Display R/3 links to selected content objects or to a development class
    • Delete R/3 links for given content objects

A content object can be linked to several different R/3 contexts.

R/3 links are not automatically adjusted for subsequent structure changes. This can result in an incorrect help display.
    • If a substructure containing a content object referenced by an R/3 link is split off, it is assigned to the new (sub)structure. In the online help it is still displayed with the structure to which it was assigned when the R/3 link was created.
    • If you assign the content object to another structure or remove it from the structure, the referenced combination of structure and content object no longer exists. An incorrect content object or no content object at all is displayed.
    • If the old structure is no longer delivered to customers, the content object is displayed in the Application help without a structure. An error message appears in the structure frame.

The function Check R/3 links can be used to prevent an incorrect help display.


R/3 Links to Enhancements

Use

Enhancement context objects, as well as SAP standard documentation objects, can be linked to application objects in the R/3 System by R/3 Links, to make context-sensitive Application help possible.

All R/3 links created in an enhancement context are valid only for this context. It only works in appropriately configured R/3 Systems. Conversely, R/3 links created in the standard system also apply in the enhancement context if they are not overwritten by industry enhancement-specific R/3 links.

If enhancement documentation uses a structure link to refer to standard structures and their topics, R/3 links to these info objects in the standard system are also effective in the enhancement system.

This is still the case if a standard structure is enhanced in enhancement documentation, i.e. the standard structure was copied. In this case the enhancement structure overwrites the standard structure on which it is based in the online help: This means that R/3 links of the standard system still work in the enhancement system. They are effective until new R/3 links (e.g. transaction) are created in the enhancement context for the application objects. Enhancement-specific R/3 links overwrite standard R/3 links in enhancement systems.

Enhancement structures can be modified by removing Standard topics. However, you must make sure that these topics are not referenced in R/3 links.

To check whether there are R/3 links to the standard topics in an enhancement structure, select the structure in the Info Object List and choose Info object ® R/3 link ® Display.

If topics that are the targets of R/3 links are removed from your structure, the R/3 link becomes invalid, which can cause a display error in the Application help. In the standard system, such R/3 links can be deleted before the topic is removed. In the enhancement context, R/3 links of the standard system that have become invalid in this way cannot be deleted. The invalid standard R/3 link must be overwritten by creating a new enhancement-specific R/3 link.

Integration

Enhancement-specific R/3 Links can only be tested in a system in which the enhancement context has been activated by a Customizing activity and is recognized by the R/3 Help processor.

If several enhancements are installed in a system, a help processor R/3 link evaluation sequence must be specified by a Customizing activity. To be in the Application help, an enhancement must be reached in the sequence from "more specific" to "less specific" enhancements. This sequence also determines which R/3 library is displayed, namely the "most specific" enhancement. In both cases the standard is the last choice.

Activities

You maintain R/3 Links with the Knowledge Warehouse SAPgui frontend.

You can see R/3 Links in the Info Object List. You see the enhancement-specific R/3 Links or the Standard R/3 Links, depending on the context.

See:

Maintain an R/3 Link for an Info Object

Display R/3 Links to Info Objects


Creating an R/3 Link for a Content Object

Prerequisites

You are in the preview or in online structure edit ing.

In online structure editing you can only maintain R/3 links if the displayed structure is a book structure.

Maintain these R/3 links in the preview.

You can only maintain R/3 links for content objects in production folders.

Procedure

  1. Select a content object.
  2. Choose Edit ® R/3 links ® Maintain.

The R/3 Link System Selection dialog box appears, in which you can select an R/3 System where the content object should be linked with an R/3 context.
  3. Select the R/3 System and log on.

The Maintain R/3 Links dialog box appears.

R/3 links should be maintained in the development system containing the original of the application object (R/3 context) to which a content object is to be linked.

This has several reasons:

  • It ensures that the application objects used really exist.
  • New application objects can be used for R/3 links early on.
  • R/3 links can be tested immediately in the development systems.
  • Context-sensitive help is available early on.
  4. Specify an R/3 context in which the content object should be displayed when Application help is called by making entries in the tab pages Transaction, Program or Dev. class.

To link the content object to: | Maintain the entries:
a transaction | Transaction code on tab page Transaction
a screen | Program name and Screen number on tab page Program
a screen in a particular transaction | Program name, Screen number and Transaction code on tab page Program
a program | Program name on tab page Program
a program in a transaction | Program name and Transaction code on tab page Program
a development class | Dev. class on tab page Dev. class

You can display content objects directly in a program as well as link them to the contexts evaluated by the R/3 System help processor. The program must call a function module when a defined event occurs (e.g. a user action or an error).

To create a program link:

  1. In the Maintain R/3 Link dialog box, enter the program name and any text key (maximum 60 characters) in the Other links tab page as identifier for the selected content object.
  2. Tell the programmer the text ID for the content object and agree with him on the context in which it is to be displayed.
  4. Save your entries.

    5. The Change Request Query dialog box appears.

  5. Select (with Own requests) or create (with Create request) a request and choose Continue.

    6. The entries are saved and linked in a change request.

  6. Release the transport request after you have maintained the R/3 links.

Result

When you call the Application help in the corresponding context in the selected R/3 System, the content object that you linked with the R/3 context is displayed.

The same applies in systems into which the R/3 link has been transported.


Changing and Deleting an R/3 Link for a Content Object

Prerequisites

You are in the preview.

Procedure

  1. Select a content object.
  2. Choose Edit ® R/3 links ® Maintain.

    3. The R/3 Link System Selection dialog box appears in which you can select an R/3 System.

  3. Select the R/3 System and log on.

    4. The Maintain R/3 Link dialog box appears.

    R/3 links should be maintained in the development system containing the original of the application object (R/3 context) to which a content object was linked.

  4. Select the tab page containing the R/3 context to which the selected content object is linked.
    • To replace an existing R/3 link, overwrite it.
    • To delete an R/3 link, select it and choose Delete line.
  1. Save your changes.

The Change Request Query dialog box appears.
  6. Select (with Own requests) or create (with Create request) a request and choose Continue.

The entries are saved and linked in a change request.
  7. Release the transport request after you have maintained the R/3 context links.

Result

If you changed the R/3 links, the content object is displayed with the new R/3 context.

If you deleted the R/3 link, this content object is no longer displayed for the deleted R/3 context.


Displaying R/3 Links to Development Classes

Prerequisites

You are in an Info Object List.

Procedure

  1. Choose Info object ® R/3 link ® Display for dev. class.

    2. The R/3 Link System Selection dialog box appears.

  2. Select the development system in which the R/3 links were maintained.

    3. A dialog box appears in which you can enter a development class.

  3. Enter a development class and choose Continue.

Result

A list is displayed of all R/3 links between content objects and R/3 contexts in the given development class. The list is sorted by structure.


Displaying R/3 Links to Several Content Objects

Prerequisites

You are in an Info Object List.

Procedure

  1. Select one or more content objects.

    2. You can also select structure objects. All R/3 links to content objects in these structures are then displayed.

  2. Choose Info object ® R/3 link ® Display.

    3. The R/3 Link System Selection dialog box appears.

  3. Choose the R/3 System in which the R/3 links between the selected content objects and the R/3 contexts (application objects) were maintained, and logon there.

Result

A list of all R/3 links to the selected information objects is displayed. The list is sorted by structure.

Choose Settings ® Display variant ® Current to define what information about the R/3 links (author, etc.) should be displayed.


Deleting R/3 Links to Several Content Objects

Prerequisites

You are in an Info Object List.

Procedure

  1. Select one or more information objects.

If you select structure objects, all R/3 links to content objects in these structures are deleted.
  2. Choose Info object ® R/3 link ® Delete.

Confirm whether you really want to delete the R/3 link; the R/3 Link System Selection dialog box appears.
  3. Select the R/3 System in which you maintained the R/3 links between the selected content objects and the R/3 contexts, and logon there.

The Enter Change Request dialog box appears.
  4. Select (with Own requests) or create (with Create request) a request and choose Continue.

The entries are saved and linked in a change request.
  5. Release the transport request after you have maintained the R/3 links.

Result

All R/3 links to the selected content objects are deleted in the chosen system.

After the transport, the R/3 links are also deleted in the target system.


Testing R/3 Links

Prerequisites

You are in the R/3 System in which you maintained or transported the R/3 link.

Procedure

To test an R/3 link:

  1. Go to the R/3 context in which you maintained an R/3 link.
  2. Choose Application help.

Result

If the R/3 link is correct, the referenced content object is displayed.


Checking R/3 Links

Use

Check if the R/3 links that were set are correct.

You can also correct faulty R/3 links.

Prerequisites

You have maintained R/3 links.

Functionality

This function:

  • Checks R/3 links for selected folders or development classes
  • Corrects R/3 links

The R/3 links can be:

  • Correct R/3 links

All the R/3 links whose combination of structure and content object is correct are listed here.

However, these R/3 links can also contain:
    • Multiple identical R/3 links
    • R/3 links from application objects to several combinations of structure/content object
  • R/3 links to be deleted

R/3 links to be deleted can occur if:
    • The R/3 link refers to a combination of structure/content objects in a folder that is not productive and that only exists once
    • The information object (structure or content object), but not the R/3 link, was deleted
    • The content object is not part of any structure
    • There is no released version of the content object in either the current or earlier contexts
  • R/3 links that can be replaced

R/3 links that can be replaced can occur if:
    • The R/3 link refers to a combination of structure/content objects in a folder that is not delivery-relevant There is also another relevant combination of structure/content objects in a folder that is not delivery-relevant
    • Structure was deleted. The content object still exists in another delivery-relevant structure.
  • R/3 links that cannot be replaced

R/3 links that cannot be replaced occur if:
    • The R/3 link refers to a combination of structure/content objects in a folder that is not delivery-relevant There are also 2 more relevant combinations of structure/content objects in a delivery-relevant folder

Activities

Check the R/3 links and correct them by deleting or replacing them.


Checking R/3 Links for Selected Development Classes

Use

You can check if the R/3 links that were set are correct.

Prerequisites

You have maintained R/3 links.

Procedure

To test an R/3 link:

  1. In the initial screen choose Utilities ® Check R/3 links ® For development classes.

    2. The Select Development Class dialog box appears.

  2. Enter or select a development class and start the check.

Result

A hierarchical list containing the correct and incorrect R/3 links is displayed.

Correct any incorrect R/3 links in the hierarchical list.


Checking R/3 Links for Selected Folders

Use

You can check if the R/3 links that were set are correct.

Prerequisites

You have maintained R/3 links.

Procedure

To test an R/3 link:

  1. In the initial screen, select the folders whose R/3 links should be checked.
  2. Choose Utilities ® Check R/3 links ® For selected folders.

Result

A hierarchical list containing the correct and incorrect R/3 links is displayed.

Correct any incorrect R/3 links in the hierarchical list.


Deleting Incorrect R/3 Links

Prerequisites

You checked that the R/3 links are correct and incorrect R/3 links are displayed in the result list.

The Check Result List for R/3 Links Is displayed.

Deleting Single Incorrect R/3 Links

To delete a single incorrect R/3 link:

  1. Expand a category of the R/3 links.
  2. Double-click on an incorrect R/3 link.

    3. The Edit R/3 Link dialog box appears.

  3. Check the R/3 link.
  4. Choose Delete R/3 link.

Deleting Several Incorrect R/3 Links

  1. Expand a category of the R/3 links.
  2. Mark the R/3 links to be deleted.
  3. Choose Delete R/3 link.

Result

The R/3 link is marked for deletion.

To cancel the deletion, select the R/3 link to be deleted and choose Cancel.

To completely delete the incorrect R/3 links, choose Save.

You are asked for a change request that you must release when you have completed your work.


Replacing Incorrect R/3 Links

Prerequisites

You checked that the R/3 links are correct and incorrect R/3 links are displayed in the result list.

The Check Result List for R/3 Links Is displayed.

Procedure

To replace an incorrect R/3 link:

  1. Expand a category of the R/3 links (R/3 link can be replaced or Select an R/3 link target).
  2. Double-click on an incorrect R/3 link.

    3. The Edit R/3 Link dialog box appears.

  3. Check the R/3 link.
  4. Select the R/3 link that should replace the incorrect R/3 link.
  5. Choose Copy selection.

    6. A deletion flag is set for the old R/3 link, and the new R/3 link is added as a white line.

  6. Choose Enter.

Result

The R/3 link is marked for replacement.

To cancel replacing, select the edited R/3 link and choose Cancel.

To replace the incorrect R/3 links conclusively, choose Save.

You are asked for a change request that you must release when you have completed your work.


Maintenance of Information Object Attributes

Use

The information objects in the Knowledge Warehouse have a number of attributes that describe the information objects or their development process, e.g. information class, status, and creation date.

Some attributes are assigned by the Knowledge Warehouse user and some by the R/3 System, depending on their functions.

The attributes have exactly one value. Only the "index entries" attribute can have more than one value.

An information object has the status (attribute) "Released" (value). This information object cannot have more than one status.

Integration

All attributes can be used to search for information objects.

Functionality

The attributes can be maintained for single information objects in the Info Object List or in online processing.

Some attributes (e.g. status) can be maintained for several information objects at the same time. This is only possible in the Info Object List.


Displaying the Attributes of an Information Object

Prerequisites

You are in the Info Object List or online processing.

Displaying Attributes in the Info Object List

  • To display the attributes of an information object, double-click on an information object.

The attributes and attribute values of the information object are displayed in a dialog box.
  • To display the index entries for more than one information object, select the information objects and choose Info object ® Attributes ® Display.

A dialog box appears in which you can choose if you want to display the index entries or the old keywords.

Displaying Attributes in the Structure Maintenance.

  1. Select an information object in the structure.
  2. Choose Info object ® Attributes ® Display.

The attributes and attribute values of the information object are displayed in a dialog box.


Changing Attributes of Information Objects

Prerequisites

You are in the Info Object List or online processing.

The information objects do not have the status Released.

Procedure

  1. Select one or more information objects.
  2. Choose Info object ® Attributes ® Change.
  3. Select the attribute that you want to maintain and choose Continue.
  4. Enter or select values and choose Continue.

You can maintain the Status, Owner and Original language attributes for several information objects at the same time.

To select all the information objects in a structure, select the structure in the Info Object List and choose Edit ® Selection ® Contained info objects.


Changing the Information Class

Prerequisites

You are in the Info Object List or online processing.

The content object has Editing status and is checked in.

Procedure

Changing the information class affects all existing contexts.

To change the information class of a content object:

Assign the corresponding information class templates to the content object in Word.
  1. Select the content object.
  2. Choose Info object ® Attributes ® Change.

    3. The Select Attributes dialog box appears.

  3. Select Info class and continue.
  4. In the Info Class dialog box, select and copy an information class.

Result

The selected information class is assigned to the selected content object.


Changing the Original Language

Prerequisites

  • A version of the information object exists in the new original language.
  • The information object is released in both the old and new original languages.
  • The released version of the information object in the new original language is a translation of the released version in the old original language. It can be a direct or indirect (via a third language) translation.
  • You have chosen the processing mode Change and are in the Info Object List.

Procedure

To change the original language of information objects:

  1. Select one or more information objects in an Info Object List.
  2. Choose Info object ® Attributes ® Change.

    3. The Select Attribute dialog box appears.

  3. Select Change original language.

    4. You can choose from a list of languages that is displayed.

  4. Select the new original language and choose Continue.

Result

The new original language is assigned to the selected information object.

In Translate mode, column Translation status is set to Do not translate.


Info Object Status

Use

The Status attribute defines the processing status of an information object. It is maintained by authors and translators.

In processing mode Change, this attribute shows the processing status of an information object in the original language.

Functionality

There are the following info object statuses:

Status | Meaning
Migrated | Information object (IO) was migrated to the Knowledge Warehouse and has not been changed.
Editing | IO has not yet been released in the current context for translation and delivery. It is not accessible for translation. This status is set automatically when an information object is checked out. It can also be set manually.
Released | IO was released in the current context for translation and delivery. This status is set manually when the author has completed work. This information object then appears automatically for translation. A translation status specifying if the information object is new (translation status: new ) or was changed (translation status: to be translated) is also generated.
Copy editing | IO is being copy edited. This status is set manually is only for documentation purposes.
Review | IO is being reviewed. This status is set manually is only for documentation purposes.


Canceling "Released" Status

Prerequisites

  • You have already released an information object for translation and delivery in the current release in processing mode Change, but you want to maintain context-dependent attributes, for example R/3 links, for it.
  • You have already released an information object for delivery in the current release in Translate mode. However, you want to change it again even though the author did not create a new version.
  • You are in an Info Object List.

Procedure

If this function is used with an information object, a new version of this information object is created. The information object is placed in the translator’s worklist again.

To cancel Released status:

  1. Select one or more information objects in an Info Object List.
  2. Choose Info object ® Attributes ® Cancel release.

    3. Confirm or terminate the operation in the next dialog box.

  3. Choose Yes.

Result

The status of the selected information objects is changed from Released to Editing (in Change mode) or Translated (in Translate mode).

You can now change the information object attributes in Change mode without having to check them out again.

You can reset the status from Released to Editing in Change mode at any time by checking out the information objects.

You can now change the information object attributes and check out the information objects again in Translate mode.


Changing the Course Status

Use

This status defines whether course editing has been completed.

It can be either Beta (preliminary version) or Final (course is released for the customer).

Prerequisites

You are in the Info Object List.

Procedure

To change the course status:

  1. Mark the course structure.
  2. Choose Info object ® Attributes ® Change.

    3. The Select Attribute dialog box appears.

  3. Choose Course status.
  4. Mark Final or Beta and copy your selection.

Result

The course structure is assigned the selected course status.

See also:

Displaying Attributes of an Information Object


Changing the Technical Name

Prerequisites

You are in the Info Object List or online processing.

The information object has Editing status and is checked in.

Procedure

To change the technical name of an information object:

  1. Select the information object.
  2. Choose Info object ® Attributes ® Change.

    3. The Select Attributes dialog box appears.

  3. Select Technical name and continue.
  4. In the Change Technical Name dialog box, enter the new technical name.

Result

The technical name entered is assigned to the selected information object.


Changing the Owner

Prerequisites

You are in the Info Object List or online processing.

The information object has Editing status and is checked in.

Procedure

To change the owner of an information object:

  1. Select the information object.
  2. Choose Info object ® Attributes ® Change.

    3. The Select Attributes dialog box appears.

  3. Select Owner and continue.
  4. In the Owner dialog box, select and copy the new owner.

Result

The selected owner is assigned to the selected information object.


Changing the Usage Type of Structures

Use

This procedure changes the usage type of a structure.

The usage types are:

  • Book structure

You can display a book structure independently of other structures.

A book structure can be used as a structure link or a structure include.

An HTML help file (.chm) is created for each book structure when the static help is generated.
  • Substructure

You can only display a substructure from another structure.

A substructure can only be used as a structure include.

Prerequisites

You are in the Info Object List.

Procedure

To change the usage type:

  1. Select a structure.
  2. Choose Info object ® Attributes ® Change.

    3. The Select Attributes dialog box appears.

  3. Select Usage type and continue.
  4. In the Usage Type dialog box, select and copy the usage type.

Result

The usage type of the selected structure is changed.


Printing Information Objects in the R/3 System

Use

You can print structures or individual content objects with this function.

Functionality

Different print functions are provided in the components of the SAP Knowledge Warehouse.

  • Print structure
  • Print structure with information objects
  • Print content objects


Printing a Content Object in the R/3 System

Prerequisites

You are processing online.

Procedure

To print a content object:

  1. Select the content object.
  2. Choose Info object ® Change contents.

    3. The Change Info Object screen appears:

  3. Choose File ® Print.

Result

The selected content object is printed.


Printing a Structure in the R/3 System

Prerequisites

You are in online processing or in the Web Browser.

Procedure

In Online Processing

To print a structure, choose Print structure.

In the Web Browser

To print a structure, click on the structure window and choose File ® Print.

Result

The displayed structure is printed.


Printing a Structure with Information Objects in the R/3 System

Use

You can print structures in the Documentation area with this procedure.

Your printout contains:

  • Cover sheet
  • Table of contents
  • Header and footer
  • Resolved structure includes
  • Hyperlinks within the structure as page link
  • Hyperlinks to other (non-included) structures as external link

Prerequisites

You are

  • in the initial screen of the SAP Knowledge Warehouse or
  • in the Info Object List or
  • in online processing or
  • in the preview

Procedure

In the initial screen of the SAP Knowledge Warehouse

To print a structure with information objects:

  1. Select the structure.
  2. Choose Structure ® Print with info objects.
  3. Check the results and choose Continue.

In the Info Object List

To print a structure:

  1. Select the structure.
  2. Choose Info object ® Print ® Structure with info objects
  3. Check the results and choose Continue.

In the Online Structure Maintenance Screen and in the Preview

To print a structure:

  1. Select the structure.
  2. Choose Structure ® Print with info objects.
  3. Check the results and choose Continue.

Result

The structure is prepared for printing.

Go to Word and print the document.

Then confirm the dialog box in the R/3 System.


Displaying Links to/from Information Objects

Use

The Knowledge Warehouse contains functions to display hyperlinks and structure links that:

  • point from other objects to a particular information object (incoming links)
  • point from a particular information object to other objects (outgoing links).

You can check whether the hyperlinks and structure links to be delivered are complete using this function.

If you made larger changes to the contents of an information object, you can use this function to find the linked information objects and to inform the author about the changes.


Displaying Outgoing Links of an Information Object

Prerequisites

You are in an Info Object List.

Procedure

  1. Select an information object.
  2. Choose Info object ® Uses ® Objects used.

Result

A list of the structures and content objects referred to in the selected information object is displayed. The information objects are sorted by folder.

You can use the function again in the list of information objects created. Choose Back (F3) to go back to the initial list.


Displaying Incoming Links of an Information Object

Prerequisites

You are in an Info Object List.

Procedure

  1. Select an information object.
  2. Choose Info object ® Uses ® Where-used list.

Result

A list of the structures and content objects referring to the selected information object (incoming links) is displayed. The information objects are sorted by folder.

You can use the function again in the list of information objects created. Choose Back (F3) to go back to the initial list.


Consistency Checks (Information Developer)

Use

Check the consistency of documentation before delivery to ensure its quality.

These checks check i nfo o bjects for database inconsistencies and errors. You choose the context and folders of the i nfo o bjects to be checked.

Prerequisites

Choose the context and the folders to be checked.

Functionality

The following checks exist:

Uses

  • Defective links

This check finds i nfo o bjects in the selected folders with links:
    • which point to info objects in folders that are not productive
    • whose target info objects do not exist.
  • Status of the target objects

Use this check to find out if there are links in the information objects of the selected folder whose target information objects are not released.

Only start this check at the end of development.

  • Unknown links

Use this check to find whether the information objects of the selected folder have hyperlinks
    • whose source and target lie within a content object
    • whose target lies outside the Knowledge Warehouse (e.g. an address in Internet).
  • Unknown graphics

Use this check to find out if there are graphics in the information objects of the selected folder that are unknown in the Knowledge Warehouse (e.g. Visio graphics).
  • Are all target objects in the selected folders

This check determines whether the target objects of the hyperlinks are in the selected folders.

There is also a check whether the target object exists in the current context.

Use this check if only a subset of the folders (e.g. all the folders of an application component) are to be delivered.

Attributes

  • Empty objects (only title)

This check determines whether the selected folders contain objects that only have a title.

Structures

  • Number of objects in a structure

Checks whether the number of objects in the structures in the selected folder exceeds the recommended upper limit (500).
  • Empty title document in structure

This check determines whether the title document in the selected folder only has a title.
  • Correct use of the substructures

Use this check to find out if the substructures in the selected folders are only used as structure includes.

Activities

The checks are made in the background. You can thus continue with your work while the checks are being made.

The i nfo o bjects with defective links are listed.

You can go to the i nfo o bject maintenance screen from the detailed check results list to correct the errors.

You can get error solution tips under Display error message.


Perform ing Consistency Checks

Use

This procedure describes how you can check your folders for inconsistencies.

Prerequisites

Before starting the checks you must select the folders to be checked (in the Favorites or in the Entry Structure).

Each check overwrites previous check results.

Procedure

To perform quality control checks:

  1. Select the folders, which you want to check.
  2. Choose Utilities ® Check.

    3. You go to the Select checks dialog box.

  3. Select checks and choose Continue.

Result

The checks are made in the background.

Check progress occasionally with Utilities ® Display check results .


Display Check Result

Use

This procedure describes how to display the results of checks performed in the background.

Prerequisites

You must have performed some checks.

The re sults of the most recent check are displayed.

Procedure

To display check results:

  1. Choose Utilities ® Display check results.
    2.

    If the checks have not finished, you get a message to that effect. In this case, try to display the results later.

    You go to the check results list.

    The check results list shows the results of checks that you performed.

    If errors occurred, the folders in which they occurred are listed under the check. They are highlighted in red.

  2. Select a folder to get check result details.
  3. Choose Folder ® Display Info Objects.

    4. You go to the Info O bject List, which contains the i nfo o bjects with errors.

  4. Select an information object with errors.
  5. Choose Error message.
    6.

    The error message for the i nfo o bject with errors is displayed in the status line.

  6. Click on the status line.

You go to the error message long text, which contains problem solution tips.

Result

You can correct the information objects from the error list.

Once you have corrected all the information objets, start the check again.

Repeat the steps until no more incorrect information objects are displayed.


Transport to the Consolidation System

Use

Transport individual information objects or complete folders to the consolidation system.

The consolidation system therefore only contains the information objects that can be displayed or delivered.

Transporting the information objects to the consolidation system also provides the transported information objects for the static help display.

Integration

Only the information objects that are in a delivery-relevant folder and that were transported to the consolidation system are delivered.

Prerequisites

The information object must have the status Released.

Activities

The selected information objects are included in a change request.

You must release this change request.

The released change request is transported to the consolidation system by the system administrator.


Transporting Information Objects

Prerequisites

You are in the Info Object List.

The information objects have the status Released.

Procedure

To include information objects in a change request:

  1. Select the released information objects that are to be transported.
  2. Choose Info object ® Various ® Transport

The Change Request Query dialog box appears.

You can:
    • Confirm the proposed change request
    • Select a request with Own requests.
    • Create a change request with Create request.
  1. Confirm the change request

To transport the information objects, you must release the change request and check the transport log.

Result

The selected information objects were included in a change request.


Transporting Folders

Use

Transport one or more folders.

Prerequisites

You are in the initial screen of the Knowledge Warehouse.

The information objects in the folders have status Released.

Procedure

To include folders and their information objects in a change request:

  1. Select the folders to be transported.
  2. Choose Folder ® Transport.

The Change Request Query dialog box appears.

You can:
    • Confirm the proposed change request
    • Select a request with Own requests.
    • Create a change request with Create request.
  1. Confirm the change request

To transport the folders, you must release the change request and check the transport log.

Result

The selected folders were included in a change request.


Display Folder Statistics

Prerequisites

You are in the initial screen of the Knowledge Warehouse or in folder maintenance.

Procedure

To display the folder statistics:

  1. Select the folders whose statistics are to be displayed.
  2. Choose Goto ® Folder statistics.

Result

The following information is displayed for the selected folders:

  • Folder attributes
  • Number of information objects (number of structures only in processing mode Change)
  • Number and sums of words, lines, paragraphs and pages

The statistical data (numbers) are displayed for each status (processing mode Change) or translation status (processing mode Translate).


Creating Entry Structures for Navigating with Contents

Use

To facilitate browsing access to the many folders in the Knowledge Warehouse you can create entry structures. An entry structure imposes a hierarchical structure on a set of folders thus creating a content hierarchy. By creating several entry structures you can provide content hierarchies which suit the needs of different user groups.

In the Knowledge Warehouse entry screen, users can choose which entry structure they want to use (Settings ® Choose entry structure. You can attach folders from several info areas to the nodes of an entry structure. However, when users choose such a "mixed" entry structure, they may not see all the folders attached to it, depending on the info areas they subscribed to (with Settings ® Choose areas).

In contrast to the structures used in the info areas Training and Documentation entry structures do not structure content, they structure access to content. Therefore, entry structures are maintained in the info area Management..

Prerequisites

You have the authorization to create and edit info objects in info area Management.

Procedure

  1. In the initial screen of the Knowledge Warehouse (SI00) you choose Knowledge Warehouse ® Management ® Change.
  2. You set the version context in which you want to create the entry structure.
  3. You select the folder in which you want to keep the entry structure (or you create a new folder).
  4. You display the Info Object List of the folder.
  5. You create an info object of info category Navigation Structure. This comprises creation of an info object of info category Topic as the root node of the structure.
  6. You build a hierarchy by inserting nodes either of category Topic or of category Generic. into the structure.
  7. You attach folders to the hierarchy nodes of the structure.
  8. You save the structure and set its status to Released.

You can change an entry structure using the standard functions for structure editing.


Insert Hierarchy Nodes into an Entry Structure

Use

Use this procedure to add nodes to an entry structure, thus building a navigation hierarchy.

Prerequisites

You started editing the entry structure and are in screen Edit Structure <technical name of structure>.

Procedure

  1. Select a node in the entry structure.
  2. Choose Info Object ® Insert ® On same level or Info Object ® Insert ® As subnode.
  3. On the following dialog box choose New info object.
  4. On the following dialog box choose info category Topic (IWB0NOD) or info category Generic info object (IWB0GEN).
  5. Enter data as required and choose Continue.

    6. If you inserted a Topic node, a document is opened in MS Word with the topic's description (title) as its first paragraph. Enter any further content you may want to have in the info object and save it.

  6. Insert further hierarchy nodes into the entry structure according to your needs.
  7. Save the entry structure.


Attach Folders to a Hierarchy Node

Use

Use this procedure to attach folders to the nodes of an entry structure.

While you build the navigation hierarchy of an entry structure by adding hierarchy nodes, you fill this hierarchy with content by attaching folders to these nodes.

Prerequisites

You started editing an entry structure and are in screen Edit Structure <technical name of structure>.

Procedure

  1. Select a (hierarchy) node in the entry structure.
  2. Choose Info Object ® Insert ® On same level or Info Object ® Insert ® As subnode.
  3. On the following dialog box choose Existing info object.
  4. On the following dialog box choose Folders.
  5. Choose the info area from which you want to attach folders.
  6. Enter search criteria to search for folders in the selected info area.
  7. Select folders from the list of folders found and choose Continue

    8. The folders are inserted into the entry structure as folder nodes.

  8. Save the entry structure.

Make sure that all terminal nodes of the entry structure are folders. Hierarchy nodes (info category Topic or Generic) should not be terminal nodes.


Maintaining Enhancement Content

Use

The content delivered with the SAP Knowledge Warehouse contains standard and industry solution SAP online documentation and SAP training courses. Customers can maintain additional content in a customer name space in enhancement contexts. You can create your own content or reuse SAP content, either by linking to info objects or by creating enhancements (enhancement versions) of info objects.

Customers can use the general Knowledge Warehouse customer namespace /kwcust/ or another customer namespace.

You can override the standard SAP online help with enhancement content. SAP and partners override standard documentation with enhancements to document R/3 industry solutions.

All information in enhancement contexts is referred to as enhancements (enhancement documentation, enhancement training). Enhancements can be, but need not be, R/3 System functional enhancements (add-ons), Customer enhancement documentation can document the standard system, emphasizing the customer-specific processes more than the SAP documentation and training can do. Examples of enhancements:

  • SAP online help for an industry solution, created by SAP and partners
  • customer-specific modifications of SAP R/3 application online help, created by customers
  • customer development online help, created by customers
  • customer-specific modification of SAP training, created by customers

Displaying enhancements in online help

To display enhancements (e.g. industry or customer-specific information) in the online help in an R/3 System, the information must be available, and the enhancement context must be setup in a customizing activity in the R/3 System. The R/3 System help processor displays the appropriate info object versions for the existing configuration of enhancement contexts when the online help is called. This applies to both the context-sensitive display of info objects in the Application help and the context-independent display of the R/3 Library (SAP Library as of Release 4.6A).

  • Standard R/3 links can be overridden in the Application help by R/3 links that were created for the enhancement.
  • An enhancement-specific version of the R/3 Library is displayed if there is one.

"Additive" v. "integrative" creation of enhancements

You can create enhancements in two ways:

  • You only use new info objects which you create in the enhancement context. These info objects only exist in the enhancement context. In this way, you "add" new info objects to those in the Knowledge Warehouse.
  • You also use enhancement-specific versions of existing SAP standard info objects, which you create in the enhancement context and which you then modify as required.

In both cases, you can link to SAP standard info objects with hyperlinks and structure links.

Prerequisites

To create information in an enhancement context, you must maintain the context parameters Enhancement and (Enhancement) Release and the enhancement Basis release with a customizing activity in the Knowledge Warehouse R/3 System.

Procedure

You can create and change info objects in enhancement contexts with the Knowledge Warehouse SAPgui front-end as well as with the Knowledge Workbench.

Integrative procedure (enhancing SAP standard info objects)

The procedure described below applies to the SAPgui front-end. In the Knowledge Workbench the functions for maintaining R/3 Links and keywords (steps 9 and 10) are not available.

  1. You call the transaction SI00 in the Knowledge Warehouse R/3-System.
  2. You go to the maintenance of the Info area (e.g. Training), in which you want to maintain info objects in an enhancement context (e.g. Knowledge Warehouse ® Training ® Change).
  3. Set the enhancement context:
    1. the (original) language of the info objects
    2. the enhancement name and release for which want to editing info objects

The enhancement name and release must be selected from a list of existing enhancements and their releases.

To display all existing enhancements in the Enhancement field, you must clear the Enhancement release field.
  1. Choose the folders in which you want to edit info objects. These folders can contain only enhancement context info objects, or also Standard info objects for which you want to create enhancement versions and use in modified form.
  2. You create the Info Object List for the selected folders.
  3. You create info objects as required, and structure the folder contents by putting the info objects in a (main) structure in the (enhancement) folder which contains the enhancement info objects. You can link to Standard info objects by hyperlinks or by including them in structures.
  4. You create enhancement versions of the info objects which you want to use in modified form, in the (standard) folder which contains standard info objects, and change them as required.

    5. If you enhance standard structures from the Info area Documentation and remove objects from them, you can destroy Standard R/3 Links. If the enhancement is to be displayed in the Application help of an R/3 System, you must overwrite any defective Standard R/3 Links with enhancement R/3 Links.

  5. Integrate enhanced Standard folder info objects in the enhancement folder with hyperlinks and structure links to these objects.
  6. Link info objects to R/3 application objects, e.g. a transaction, with R/3 Links. This is only necessary when the information is to be displayed in the (context-sensitive) Application help of an R/3 System. If the information is also to appear in the R/3 Library, create an enhancement-specific version of the R/3 Library and put the main structure of your enhancement in it

    7. Enhancement context R/3 Links have priority over Standard R/3 Links in an R/3 System which is appropriately configured by a customizing activity.

  7. Create keywords for topics (objects in the documentation info area).
  8. Check the contents and formatting of info objects, the hyperlinks between them, and the context-sensitive display in Application help.
  9. Release the info objects in the enhancement folder and the standard folder for translation and transport.

Additive procedure (without enhancing Standard info objects)

This procedure differs from the one above in that you only maintain info objects which were originally created in the enhancement and are not enhanced versions of Standard objects. The only exception to this is the R/3 Library (a book structure in the Info area Documentation delivered by SAP): To display your information in the R/3 Library of an R/3 System, you must create an enhancement-specific version of this structure and put the main structure of your enhancement in it.

Omit steps 7 and 8 in the procedure described above.


Using Standard Info Objects

Use

You can use standard R/3 Info Objects in enhancement objects by:

  • linking to Standard objects

You can link to or include structures.
  • creating and modifying Standard objects

The following diagram shows how you can use standard structures.

To reuse Standard structures unchanged in your enhancement, either link to it (I.a) or include it (I.b). If a subsequent enhancement release is based on a more recent Standard Release, this kind of reuse automatically uses the more recent Standard structure version.

To use a modified form of a Standard structure in your enhancement, you must create an enhancement of the structure which you can modify and use with a link (II.a) or an include (II.b).

Enhancing standard structures has the following advantages compared to creating new structures:

  1. it saves the effort required to create the structure and topics. This is particularly significant when only minor modifications should be made to the standard system.
  2. standard R/3 links remain valid. These links can thus be used unchanged in an enhancement.
  3. links to the structure in the standard system remain valid, i.e. the enhancement structure now appears in the enhancement context in all places which link to the standard structure on which it is based.

Activities

You link enhancement objects to Standard objects with Hyperlinks (see Maintaining Hyperlinks ).

You link enhancement structures to Standard objects by putting them in the structure (see Putting Info Objects in a structure ).

You link enhancement structures to Standard structures by putting them in the structure as a link or an include (see Putting Info Objects in a structure ).

You create and modify enhancement versions of standard objects.


Enhancing SAP Standard Info Objects

Use

You create enhancements of SAP standard info objects to reuse these objects in modified form in your enhancement content.

Prerequisites

  • You are in an enhancement context and you generated an info object List (SAPgui front-end) or you list info objects in a Knowledge Workbench Explorer window.
  • The info objects have not already been enhanced in the current context. Only the enhancement (name), and not the enhancement release, is relevant here.

Procedure

SAPgui front-end

  1. Select one or more info objects.
  2. Choose Info object ® Enhancement ® Create.

The selected info objects are now highlighted in gray, not yellow ("not changeable in the current context").

The enhancement context values (enhancement name and release) are assigned to the info object attributes Enhancement and Change release.

Knowledge Workbench

  1. Select an info object.
  2. Choose Info Object(s) ® Edit

    3. A dialog box appears displaying the message that the object does not (yet) exist in the current context.

  3. Choose Continue.

Result

Copies of the selected info objects are created as enhancement context versions.

You cannot create another enhancement of an enhanced Standard object in the same enhancement context. To reset an enhanced and modified info object to its previous state, or to use an updated version of the Standard object, you can copy the version into the enhancement context .

If you delete an enhanced Standard object, all other versions of the objects (including Standard contexts) are deleted.


Copy Info Object into Enhancement Context

Use

You copy a particular version of an Info Object into the current enhancement context to use this Info Object in a modified form in your enhancement.

In contrast to enhancing SAP standard objects , where you copy the version from the standard context of the enhancement context, here you can copy any version of the Info Object and base your enhancement version on it.

You can repeat the function, e.g. to discard changes in the enhancement version, or to use an updated standard version.

This function is available in the SAPgui front-end of the Knowledge Warehouse, but not in the Knowledge Workbench.

Prerequisites

  • You are in an Info Object List enhancement context.

Procedure

  1. Select the Info Object of which you want to copy a particular version into the current enhancement context. The Info Object can appear as an enhancement version (with a gray background) or only as a Standard version (with a yellow background) in the Info Object List.
  2. Choose Info object ® Various ® Context list

    3. A list of existing language and release versions of the object is displayed.

  3. Select the desired version and choose Copy.

If the selected Info Object was a Standard object on a yellow background in the Info Object List, it is now on a gray background and has the enhancement context (enhancement name and release) in the Enhancement and Change release attributes.

If there was already an enhancement version of the object, the Info Object List does not change, but the enhancement version is now the copied version.

Result

A copy of the selected Info Object is created as the enhancement context version.


Comparing Structures

Use

With this procedure you can compare an enhancement structure with a standard structure. There is a display of which information objects

  • only exist in the standard context
  • only exist in the enhancement context

If the result of the compare is empty, the information objects exist in both the standard and enhancement context.

Prerequisites

You are in an enhancement context and have opened a folder in the Info Object List.

Procedure

To compare an enhancement structure with a standard structure:

  1. Select the structure.
  2. Choose Info object ® Various ® Context list

    3. The List of existing contexts appears.

  3. Choose the context of the standard structure with which you want to compare the enhancement structure.
  4. Choose Structure comparison.

    5. The structure is displayed.

  5. Expand the structure.

Result

The Result compare column shows the differences between the standard and enhancement contexts.


Comparing Folder Contexts

Use

With this procedure you can compare the contexts of selected folders. The information objects of the selected folder that exist in both contexts are displayed

Prerequisites

You are in the initial screen of the Knowledge Warehouse and have set an enhancement context.

Procedure

To compare the folder contexts:

  1. Select the folders whose contexts you want to compare.

    2. The Context Comparison dialog box appears.

  2. Enter the context with which the enhancement context that is set should be compared.
  3. Choose Continue.

Result

An Info Object List containing the information objects that exist in both of the contexts is displayed.


Displaying the Folder Conflict List

Use

With this procedure you can display the information objects of the enhancement context that were last changed prior to the last change to the corresponding information objects of the standard context.

Prerequisites

You are in the initial screen of the Knowledge Warehouse.

You have set an enhancement context.

Procedure

To display the folder conflict list:

  1. In the Private Folder Selection, select the folders whose information objects should be checked.
  2. Choose Utilities ® Folder conflict list.

Result

You get an Info Object List displaying all the information objects of the enhancement context that were last changed prior to the last change to the corresponding information object of the standard context.


R/3 Library for Enhancement Documentation

Use

Enhancement documentation can be accessed in two ways in the R/3 System online help, like the standard documentation:

  • context-sensitively with the Application help
  • by navigating in the R/3 library component hierarchy

An enhancement documentation R/3 Library is created by including the enhancement documentation (main) structure in an enhancement version of the R/3 Library. The enhancement structure is usually before the standard components.

In purely industry sector applications, the Application help can display this structure (not the entire R/3 Library) if there are no more specific R/3 links, e.g. to screens or transactions, by linking the development classes to the industry sector overview structure.

This industry sector-specific version of the Standard R/3 Library structure overwrites the standard R/3 Library structure in the online help in appropriately-configured R/3 systems.

In R/3 systems containing various enhancements with different R/3 Libraries, the R/3 Library of the enhancement that is the most specific according to the sequence in the table HLPRESOL is displayed. A joint R/3 library should be created for the enhancement in this case.

Activities

You create an enhancement-specific version of the R/3 Library by creating an enhancement of the structure HELP.R3LIBRARY_STRUC (folder HELP.GENERAL) in your enhancement context.

You include the (main) structure of your enhancement documentation in this enhanced standard structure.


Versioning Enhancements

Use

Enhancement versions work exactly like standard versions: Every time you save or check in an Info Object in a context, a new version is created. Only the last saved or checked in version is accessible for display and maintenance.

Enhancements; both functional enhancements of the Standard R/3 System and Knowledge Warehouse enhancements in enhancement contexts, are always based on a particular R/3 Standard Release. This results in some special features for the versions.

Enhancements in any info area can contain enhancement and standard Info Objects. If standard objects are used, these are versions of a particular release; this standard release is determined as the base release of this enhancement context when the enhancement context is created in the Knowledge Warehouse customizing.

All Info Objects in an enhancement context which were created as enhancements of Standard objects, are based on Standard objects in this Release.

All links to Standard Info Objects in the enhancement point to the Info Object versions in this Release.

The following table shows examples of possible constellations of enhancement context and underlying standard release.

Enhancement | Enhancement release | Standard release
IS-H | 4.01 | 4.0B
IS-H | 4.02 | 4.0B
IS-H | 4.03 | 4.5A

If a standard structure is "enhanced" in an enhancement context, a copy of the standard structure is created. This is an independent (physical) info object that is separate from the standard structure and only exists in the enhancement context. It can be modified without affecting the standard structure. Subsequent changes to the standard structure do not reach the enhancement structure.

The contents of enhancement structures are independent of the underlying standard structure, but there is still a connection to their common logical info object. This causes the standard structure to be overwritten by the enhancement structure in R/3 links (application help) and in references to the structure.

Versions of an Enhancement Structure Object

You cannot go back to the underlying standard structure by deleting the enhancement structure, e.g. to use a more recent version of the standard structure in a later release of the enhancement. In the above example it is not possible to delete the enhancement structure created in the IS-H, 4.01 context based on 4.0B in the IS-H, 4.03 context and recreate it there based on 4.5A. After deletion of the enhancement structure, the standard structure can no longer be accessed in the enhancement context.

See also:

Info Object Versions

Display Contexts (Versions) of Info Objects


Translating Information Objects

Purpose

Since structures are not language-specific, only the content objects are translated.

Create or change a translated language version of the content objects in a project.

You can check out all or some of the content objects of a folder for translation.

Prerequisites

  • The content objects to be translated were released by the author and have translation status New or To be translated in processing mode Translate.
  • The content objects were not checked out changeably by another translator.

Process Flow

  1. Choose processing mode Translate.
  2. Set the required context : the source language of the content objects, the target language and the release.

    3. If you are translating enhancement information objects, enter the enhancement name and release as additional context attributes.

  3. Select the folder of the project to be translated or the content objects to be translated.
  4. Create a translation package.

    5. Only those content objects with translation status New or To be translated are checked out.

  5. Translate the translation package.
  6. Read the translated package back in from the R/3 System.
  7. Release the information objects.
  8. Transport the information objects to the consolidation system.


Translating Content Objects

Use

You can translate content objects with this function.

Prerequisites

The author released content objects.

If you want to translate using the TRADOS Translator's Workbench II, the following prerequisites must also be satisfied:

  • Installation of TRADOS MultiTerm 95 Plus! In the directory

C:\Program Files\Win16App\TRADOS\MultiTerm
  • Installation of TRADOS Translator's Workbench Version 2.2 Build 66 or higher

To translate PowerPoint graphics using TRADOS T-Window for PowerPoint, the following prerequisite must be satisfied:

  • Installation of TRADOS T-Window for PowerPoint 1.1 Build 3 or higher

Functionality

With this function you can

  • Create translation packages for translation with or without TRADOS Translator's Workbench II
  • Translate translation packages with or without TRADOS Translator's Workbench II
  • Read in translation packages
  • Correct translated content objects


Translation of Content Objects using Structures

Use

With this function you can select the content objects to be translated within a structure.

Integration

The content objects are translated in translation packages.

Prerequisites

You are in Translate processing mode in the initial screen.

Functionality

There are the following functions:

  • Create translation packages for
    • All the content objects of the structure
    • Content objects and their underlying content objects
    • Single content objects
  • Read translation packages
  • Display the context that is set
  • Display the c ontent o bjects in the Web Browser
  • Set the status

Activities

To go to translation using structures, double-click on a structure in the initial screen.


Displaying the Context that is Set

Prerequisites

You are in screen Translate using Structures: <structure name>.

Procedure

To display the context that is set, choose Goto ® Current context.

Result

The current context is displayed.

To go back to screen Translate using Structures: <structure name>, choose Continue.


Displaying Information Objects in the Web Browser

Use

With this procedure you can display information objects in the Web Browser and hereby check whether they are displayed correctly.

Prerequisites

You are in the R/3 System of the SAP Knowledge Warehouse.

  • in the initial screen
  • In the Info Object List
  • in online processing
  • In translation using structures

Procedure

Initial Screen

To display information objects in the Web Browser:

  1. Select a structure.
  2. Choose Structure ® Display ® Web Browser.

Info Object List

To display information objects in the Web Browser:

  1. Select an information object.
  2. Choose Goto ® Web Browser.

Online Editing

To display information objects in the Web Browser:

  1. Select an information object.
  2. Choose Structure ® Display ® Web Browser.

Translation using Structures

To display content objects in the Web Browser:

  1. Select a content object.
  2. Choose Web Browser.

Result

If you selected a structure, it is displayed in the display format with all the information objects it contains.

If you selected a content object, it is displayed in the display format without a structure.


Changing the Info Object Status

Prerequisites

  • Processing mode Change

You are in the Info Object List.
  • Processing mode Translate

You are in the Info Object List or screen Translation using Structures: <structure name>.

Procedure

To change the status:

  1. Select the information objects whose status should be changed.
  2. Choose Info object ® Change attributes.

    3. The Select Attribute dialog box appears.

  3. Choose Info object status.

    4. The Info Object Status dialog box appears:

  4. Select and copy a status.

Result

The selected status is set for the marked information object.


Creating a Translation Package

Prerequisites

You are in Translate processing mode.

You are in the initial screen or in the Info Object List.

The author released content objects for translation.

Procedure

For a Folder

To create a translation package for a folder:

  1. Select the folder to be translated in the initial screen.
  2. Choose Folder ® Translation package ® Create.

    3. The SAP Knowledge Warehouse - Translate dialog box appears.

  3. Enter the directory in which the translation package should be stored.
  4. Choose TRADOS TWB-2 or Word-97 and then Continue.

If you want to create a translation package for translation without TRADOS TWB-2, the package should be small so that it can be translated completely.

For Content Objects in Selected Structures

To create a translation package from a structure:

  1. Expand the folder to be translated in the initial screen.
  2. Double-click on a structure.

    3. A list of the content objects in the structure is displayed.

  3. Place the cursor on the content object.
    • To check out all the content objects of the structure, place the cursor on the first content object of the structure.
    • To check out a content object with underlying content objects, place the cursor on the uppermost content object.
  1. Choose Translation package ® Create.

    2. The Node Selection dialog box appears.

  2. Decide if the underlying content objects should also be included.

    3. The SAP Knowledge Warehouse - Translate dialog box appears.

  3. Enter the directory in which the translation package should be stored.
  4. Choose TRADOS TWB-2 or Word-97 and then Continue.

If you want to create a translation package for translation without TRADOS TWB-2, the package should be small so that it can be translated completely.

For Selected Content Objects

To create a translation package for selected content objects:

  1. Select the content objects to be translated in the Info Object List.
    2.

    To select all the information objects in a structure, first select the structure in the Info Object List and then choose Edit ® Selection ® Contained info objects.

  2. Choose Info object ® Check out ® Create translation package
  3. The SAP Knowledge Warehouse - Translate dialog box appears.
  4. Enter the directory in which the translation package should be stored.
  5. Choose TRADOS TWB-2 or Word-97 and then Continue.

If you want to create a translation package for translation without TRADOS Translator's Workbench II, the package should be small so that it can be translated completely.

Use the Create translation package function in the Info Object List.

Select the content objects to be included in your translation package and create the translation package.

Result

The translation package is created and stored in the specified directory.

The translation status of the content objects that were checked out is set to In translation in the Info Object List and on the Translation using Structures screen.


Translating Translation Packages

Prerequisites

You created a translation package.

If you want to translate using the TRADOS Translator's Workbench II, the following prerequisites must also be satisfied:

  • Installation of Microsoft Office 97 SR2b
  • Installation of TRADOS MultiTerm 95 Plus! 1.52 (or higher) in the standard directory
  • Installation of TRADOS Translator's Workbench II Version 2,3.0 Build 86 or higher

To translate PowerPoint graphics using TRADOS T-Window for PowerPoint, the following prerequisite must be satisfied:

  • Installation of TRADOS T-Window for PowerPoint 1.1 Build 3 or higher

Functionality

After opening a target language file in Word, you are offered the following functions:

Prepare

You do not need this function if you called the target language file from the ClickMe.doc file since in this case the target language file was already prepared for translation.

Prepare the target language file for translation

  1. Start the TRADOS applications (only if translating with the TRADOS Translator's Workbench II)
    1. TRADOS MultiTerm 95 Plus! is started.
    2. The terminology database is opened.
    3. TRADOS Translator's Workbench II is started.
    4. The TRADOS Translation Memory is opened.
  2. The target language file is opened as the central document. Subdocuments are expanded.
  3. The file with the last available translation version is opened in the background. Subdocuments are expanded.

Navigate

Navigate between the target language file and the original file

PowerPoint

Translate embedded PowerPoint graphics

Cleanup

Clean up the target language file or translation package (only when translating with TRADOS Translator's Workbench II)

  1. Check the title lengths and graphics
  2. Save the translated document
  3. Create subdirectory Trans, from which the translation package is read in
  4. Convert the translated target language files into RTF format and copy the RTF file to subdirectory Trans
  5. Clean up the RTF version of the translated target language files and update the Translation Memory
  6. Create logs SapTrExt.log and SapTrExt.clg for the cleanup in the directory in which the translation package is stored
  7. Convert the cleaned up RTF files back into DOC format
  8. Create document Trans<nnn>.doc in subdirectory Trans
  9. Check if errors occurred during the clean - up
  10. Open file Trans<nnn>.doc and expand the branch documents

Check

Check the target language file or translation package

  • Check the title length
  • Check that the graphics are correctly embedded
  • Check that the flag Put over text is not activated
  • Check that all the hyperlinks that exist in the original language document are defined and correct
  • Check that there are no more TRADOS markers in the cleaned up document
  • Report on inconsistencies
    •
  • Write m essage s in log SapTrExt.log in the directory of the translation package

Quit

Close all applications except for MultiTerm 95 Plus!

  1. Close Word 97 and all the documents it contains
  2. Close PowerPoint if no presentation is open
  3. Close the TRADOS Translator's Workbench II

About

Information about the offline translation macro version installed

The macros are checked out with each translation package. They are not installed with Word 97.

?

Documentation and error log (important for the hotline)

Activities

  1. C all the ClickMe.doc file, which is stored in the directory of the translation package.
  2. Translate the individual target language files dst<nnn>.doc that are stored in the translation package directory.
  3. Translate embedded PowerPoint graphics.
  4. Clean up the target language files (only when translating with TRADOS Translator's Workbench II)
  5. Check the target language files.

The translation package was translated and prepared to be read into the SAP Knowledge Warehouse.


Translating Target Language Files

Prerequisites

You created a translation package.

If you want to translate using the TRADOS Translator's Workbench II, the following prerequisites must also be satisfied:

  • Installation of Microsoft Office 97 SR2b
  • Installation of TRADOS MultiTerm 95 Plus! 1.52 (or higher) in the standard directory
  • Installation of TRADOS Translator's Workbench II Version 2,3.0 Build 86 or higher

To translate PowerPoint graphics using TRADOS T-Window for PowerPoint, the following prerequisite must be satisfied:

  • Installation of TRADOS T-Window for PowerPoint 1.1 Build 3 or higher

Procedure

To translate a target language file:

  1. On your PC, go to the directory where you stored your translation package.
  2. Double-click on file ClickMe.doc.

    3. A dialog box displaying the target language files contained in the translation package appears.

  3. Open a target language file dst<nnn>.doc.

    4. Word is started.

    Document dst<nnn>.doc is prepared for translation.

    The corresponding file src<nnn>.doc containing the last available version of the translation is opened in the background.

  4. Translate the document.

You can navigate between the original file and the target language file with Navigate.

If the target language file contains PowerPoint graphics:
    1. Select the graphic.
    2. Choose PowerPoint.

      3. The PowerPoint application appears.

    3. To open T-Window, choose TRADOS ® Open/Get.

      4. T-Window appears.

      The text to be translated appears. If translations already exist, they are displayed in the lower part.

    4. Translate the text and save your translation.
    5. Go back.

The PowerPoint graphic is translated.
  1. Save your entries.
  2. Start the spellcheck.
    3.

    Before starting the spellcheck, deactivate the display of hidden text.

    If you are translating the target language file with TRADOS Translator's Workbench II, also perform the following steps.

  3. Choose Cleanup.

    4. The target language file is cleaned up .

    Revised translation units are not put in Translation Memory if the target language files or translation packages were not first cleaned up.

    They are no longer available for later translations in this case.

    A message appears after the cleanup. Log file SapTrExt.log will contain further information about any errors that occurred.

    If errors occur that you cannot correct, please contact the SAP Hotline. Specify your translation package and log file SapTrExt.log.

  4. Check document Trans<nnn>.doc.
  5. Choose Check.

The target language file is checked .

Result

The target language file was translated.

If your translation package contains more than one target language file dst<nnn>.doc, repeat the procedure for each target language file.


Translating PowerPoint Graphics

Prerequisites

You created a translation package.

If you want to translate using the TRADOS Translator's Workbench II, the following prerequisites must also be satisfied:

  • Installation of Microsoft Office 97 SR2b
  • Installation of TRADOS MultiTerm 95 Plus! 1.52 (or higher) in the standard directory
  • Installation of TRADOS Translator's Workbench II Version 2,3.0 Build 86 or higher
  • Installation of TRADOS T-Window for PowerPoint 1.1 Build 3 or higher

Procedure

  1. Select the graphic.
  2. Choose PowerPoint.

The PowerPoint application appears.
  3. To open T-Window, choose TRADOS ® Open/Get.

T-Window appears.

The text to be translated appears. If translations already exist, they are displayed in the lower part.
  4. Translate the text and save your translation.
  5. Go back.

Result

The PowerPoint graphic is translated.


Cleaning up the Translation Package

Use

If you translated using the TRADOS Translator's Workbench II, you can clean up the target language files or translation package with this procedure.

Revised translation units are not put in Translation Memory if the target language files or translation packages were not first cleaned up.

They are no longer available for later translations in this case.

Prerequisites

You created and translated a translation package for translation with the TRADOS Translator's Workbench II.

Procedure

  • To clean up the target language file open in Word, choose Cleanup.
  • To clean up all the target language files of a translation package, choose Cleanup Package.

A target language file must be open in Word for Cleanup Package.

Result

The system performs the following activities during cleanup:

  1. Check the title lengths and graphics
  2. Save the translated document
  3. Create subdirectory Trans, from which the translation package is read in
  4. Convert the translated target language files into RTF format and copy the RTF file to subdirectory Trans
  5. Clean up the RTF version of the translated target language files and update the Translation Memory
  6. Create logs SapTrExt.log and SapTrExt.clg for the cleanup in the directory in which the translation package is stored
  7. Convert the cleaned up RTF files back into DOC format
  8. Create document Trans<nnn>.doc in subdirectory Trans
  9. Check if errors occurred during the cleanup
  10. Open file Trans<nnn>.doc and expand the subdocuments

A message appears after the cleanup. Log file SapTrExt.log will contain further information about any errors that occurred.

If errors occur that you cannot correct, contact the SAP hotline. Specify your translation package and log file SapTrExt.log.


Checking the Translation Package

Use

This procedure checks the quality of the target language files or the entire translation package.

Prerequisites

You created and translated a translation package.

The target language files must be cleaned up once you have translated a translation package with TRADOS Translator's Workbench II.

Procedure

  • To check the target language file open in Word, choose Check.

The following checks are started:
    • Check of the title length
    • Check if the graphics are embedded correctly (graphics must be embedded in the document.)
    • Check that the flag Put over text is not activated
    • Check that all the hyperlinks that exist in the original language document are defined and correct
    • Check that there are no more TRADOS markers in the cleaned up document
    • Report on inconsistencies
    • Message in log SapTrExt.log in the directory of the translation package
  • To check all the target language files of a translation package, choose Check Package.

In addition to the above checks, the KXF file is compared with the contents of the translation package.

Result

The target language file or translation package was checked.


Reading a Translation Package

Use

This procedure reads the translated information objects back into the translation packages.

Prerequisites

You are in the initial screen of the SAP Knowledge Warehouse in processing mode Translate.

You cleaned up and checked translation packages that you translated with TRADOS Translator's Workbench II.

Procedure

If you have not completely translated your translation package with TRADOS Translator's Workbench II, reset the checkout for the content objects that were not translated.

The translation package is read in without the information objects that were not translated. The translation status is reset to its status prior to check-out (new or to be translated) for the information objects that were not translated.

If you have not completely translated the translation package with Word 97, the revision marks are lost during check-in.

To read in a translation package:

  1. Choose Folder ® Translation package ® Read.

    2. The KXF File dialog box appears:

  2. Go to the directory where you stored your translation package.
  3. Select file TRANS.kxf and choose Save.

Confirm the information about the translation package.

Result

The translation package was read in.

The translation status for the translated content objects was set to Translated.


Correct ing T ranslated C ontent O bjects

Use

This procedure corrects content objects that were already translated without creating a translation package.

Prerequisites

You are in the Info Object List.

The content object must already have been translated to the target language once.

Procedure

To correct a content object:

  1. Select a content object.
  2. Choose Info object ® Change contents.

    3. You go to the Editor.

  3. Correct the content object and save it.
  4. Go back.

Result

The content object was changed. Translation status Translated is displayed.


Translating Index Entries

Prerequisites

You are in the R/3 System containing the terminology maintenance transaction.

Procedure

To translate the index entries:

  1. Call Transaction STERM.
  2. Choose Utilities ® Translation worklist.

    3. The Translation Worklist Terminology screen appears.

  3. Restrict the search using suitable search criteria. For example you can enter the person who created the term or the application component.
  4. Select the category Only index entries.
  5. Select the Degree of translation.
  6. Start building the translation worklist.

    7. The SAPterm Translation: Entry <x> to <y> of <z> screen appears..

    The lines are highlighted:

    red | The term was not yet translated.
yellow | The term was translated, but not yet released in the original or target language.
green | The term was translated and released in the original and target languages.

    The traffic light shows the status of the terms.

  7. Translate the index entries that are displayed and maintain the word category.
    1. Check if there are proposals for the displayed index entries.

      2. You have to call this function again for each page. This prevents performance problems with large lists.

      Proposal for untranslated entries gives you the proposal pool translations if there is 100% agreement. The translation that is found is entered in the relevant line.

      Your proposals are offered from the proposal pool with Compare with proposal pool.

    2. Check the proposals and translate the index entries.

      3. With SAPterm: Display same entries you can display the terms that already exist in the terminology database.

      You can display the corresponding object with Links to long documentation. Enter the desired context.

      If the term is the same in the original language and the target language, you can copy the original language term with Copy source text.

    3. Maintain the word category.
  1. Save your entries.

Result

The index entry translation was saved.


Maintaining Synonyms for Index Entries

Use

Since there can be several terms or synonyms in the target language for a term, you can maintain synonyms for index entries contained in the terminology database with this procedure.

Prerequisites

You are in the system containing the terminology database.

Procedure

To maintain synonyms for index entries:

You can only maintain synonyms for main entries.
  1. Call Transaction STERM in the system containing the terminology database.
  2. Enter the term and find it in the terminology database.

A list containing the search result is displayed.

Index entries are marked with an icon.
  3. Place the cursor on the index entry for which you want to maintain synonyms and choose Maintain entry.
  4. Choose Translation.

    5. The Maintain Translation of Entry screen appears.

  5. Choose Valid synonyms.
  6. Enter a synonym and choose Save synonym.

    7. The synonym is saved and you can enter further synonyms.

  7. Save the entry.

Result

The changed index entry is saved.


Status In Processing Mode “Translate”

Status In Processing Mode "Translate"

Use

The Status attribute defines the processing status of an information object in the target language. The status is maintained by translators.

Functionality

The status can be:

Status | Meaning
Migrated | Information object (IO) was migrated to the Knowledge Warehouse and has not been changed.
Editing | IO has not yet been released for delivery in the current context. This status is set automatically when an information object (with translation status new or to be translated) is checked out. It can also be set manually.
Released | IO was released for delivery in the current context. This status is set manually when the translator has completed work.
Copy editing | IO is being copy edited. This status is set manually is only for documentation purposes.
Review | IO is being reviewed. This status is set manually is only for documentation purposes.

An additional attribute that specifies the status of a target language version of an information object in relation to the source language version is displayed in Translate processing mode: the Translation status. This attribute is not assigned manually like the Status attribute; it is derived from the status values of the source and target language versions:

Translation status | Meaning
New | There is no target language version of the information object in any context.
To be translated | The author changed the information object and released it in the source language version. The target language version has not yet been released.
In translation | The information object is checked out for translation.
Translated | The information object was translated and checked back in.
Released | The source and target language versions of the information object have been released.
Do not translate | The information object is a structure or the original language of the information object changed.

If the author did not create a new or changed version for a released information object, the information object can only be checked out once the Released status has been canceled.


Preview

Use

Display the information objects contained in a given structure.

The GIF version (Training) or HTML version (Documentation) of the information objects is displayed in the preview.

The display does not depend on the processing status.

You can also maintain R/3 links to the displayed content objects.

Integration

You can call the Web Browser from the preview.

Prerequisites

You are in the R/3 System of the Knowledge Warehouse.

You selected a structure.

Functionality

This function includes:

  • Display of the selected structure
  • Display of the GIF or HTML version of the information objects
    •
  • R/3 link maintenance (also to content objects within a structure include)
  • Web Browser call


Web Browser or HTML Help Viewer

Use

A web browser or the HTML Help Viewer is used to display information objects.

The HTML Help Viewer is only used in the Documentation area.

The HTML Help Viewer can only be used on Windows 32-bit frontend PCs.

Prerequisites

One of the following two HTML browsers must be installed on your frontend PC:

  • Microsoft Internet Explorer 3.02 or later version
  • Netscape Navigator 3.0 or later version.

Documentation area: The profile parameters of your application server that are relevant for the online help must be maintained.

Functionality

Documentation area:

The following information objects are displayed in the web browser or HTML Help Viewer:

  • Application help

When you call the Application help, an information object that is relevant for the particular R/3 context (transaction, screen, etc.) is displayed. The structure containing the information object is displayed on the left-hand side.

  • SAP library

When you call the SAP library you can navigate to the desired information objects by a hierarchy of the R/3 applications.

  • Glossary

You can search for and display Glossary entries with Help ® Glossary.

The user is provided with a full text search in the web browser and HTML Help Viewer.

You can also search for content objects with index entries in the HTML Help Viewer.

Training area

The following information objects are displayed in the web browser:

  • Application help

When you call the Application help, an information object that is relevant for the particular R/3 context (transaction, screen, etc.) is displayed. The structure containing the information object is displayed on the left-hand side.

The user is provided with a full text search in the web browser.


Troubleshooting

If errors occur in operations executed for more than one information object, the message Errors occurred... appears.

You can request error messages for individual information objects.

  1. Confirm the message.

    2. Information objects with errors are highlighted in red and the Error message key appears in the application toolbar .

  2. Select an information object that is highlighted in red and choose Info object ® Display error message.

The short text for the error message is displayed in the status line.


Displaying Information Objects

Use

The Knowledge Warehouse provides a number of ways to display information objects.

Functionality

The Knowledge Warehouse functions for displaying information objects include:

Presentation

  • Display of information objects in the preview or in the Web Browser
  • Online presentation of courses with a W eb B rowser
  • Creation of offline course presentations for SAPShow

Quality Assurance

  • Display of courses or of ind ividual content objects in the W eb B rowser
  • Display of individual content objects in the maintenance format


Displaying Information Objects in the Preview

Use

This procedure displays information objects in your display format.

In contrast to the Web Browser, you can see the attributes of the information objects in the preview.

Prerequisites

You are in the R/3 System of the SAP Knowledge Warehouse.

  • in the initial screen
  • in the Info Object List
  • in online processing

Procedure

Initial Screen

To display information objects in the preview:

  1. Select a structure.
  2. Choose Structure ® Display ® Preview.

Info Object List

To display information objects in the preview:

  1. Select a structure.
  2. Choose Goto ® Preview.

Online Editing

To display information objects in the preview:

  1. Select an information object.
  2. Choose Structure ® Display ® Preview.

Result

The structure is displayed in the display format with all the information objects it contains.


The SAPShow Presentation Viewer

Use

SAPShow is an application for viewing offline presentations of individual training courses on Windows 32-bit PCs. You need SAPShow if you want to present a training course in a system environment where you do not have access to the Knowledge Warehouse R/3 System. You may also want to use SAPShow for regular presentations of a consolidated version of a training course.

Integration

You can create offline presentations with the Knowledge Warehouse R/3 System.

Prerequisites

SAPShow must be installed on the PC on which you want to show the offline presentation.

Functionality

The SAPShow presentation viewer has a menu bar and a split-screen window for displaying information objects.

Structure Navigation

In the left part of the split-screen window, the course structure is displayed as a tree whose nodes can be expanded and compressed.

Slides are depicted in the structure as blue-and-yellow slide icons and all other content objects are depicted as document icons with horizontal lines. Slides with notes are depicted as slide icons that are partially covered by document icons.

You can navigate in the presentation by:

  • clicking on nodes in the structure
  • clicking on the Next or the Previous button in the standard toolbar (or by using the Up and Down arrow keys)
  • clicking on the History Next or the History Previous button in the standard toolbar to step through the chronological sequence of nodes you visited.

The currently shown content object is marked in the structure by a red dot next to the structure node.

Display of Content Objects

The content objects are displayed in the right-hand pane of the split-screen window. Slides are always displayed here. Other content objects such as exercises and solutions, videos, ScreenCams are displayed in the content pane only if they appear as nodes in the course structure. If they are referenced by hyperlinks these content objects are shown in a separate window.

If a video is displayed in the content pane, use the Play toolbar for starting and stopping the video. To show (or hide) this toolbar choose View ® Toolbars ® Play.

To open (or close) the window for displaying the notes that are associated with slides, navigate to a slide with notes and choose View ® Notes.

To view the presentation in full screen mode choose View ® Full Screen. No course structure is visible in full screen mode. Use the and PgUp and PgDn keys to step through the presentation. Press ESC to return to normal mode.

To run the presentation automatically choose View ® Auto run and specify the time interval between successive slides.

Activities

To start SAPShow choose Programs ® SAPShow from the Windows Start menu, or double-click on an offline presentation file in the Windows Explorer.


Creating an Offline Presentation

Use

You can create an offline presentation of a training course with this procedure. You use offline presentations for viewing and presenting courses in situations where you do not have access to the Knowledge Warehouse R/3 System or if you frequently want to present a particular course.

Offline presentations are created in a special file format (KEP) that can be viewed with the SAPShow presentation viewer .

Prerequisites

You are in the R/3 System of the Knowledge Warehouse.

SAPShow must be installed on the PC on which you want to create the offline presentation.

Procedure

To create an offline presentation:

  1. Select a structure in the initial screen of the Knowledge Warehouse.
  2. Choose Structure ® Training ® Create offline presentation.
  3. In the following dialog box, choose if you just want to create the presentation or if you want to create and view it immediately, and then choose Continue. Choose Continue.
  4. In the following dialog box, enter the directory and file name for the offline presentation file.
  5. Choose Save.

    6. A dialog box appears which informs you about the path under which the presentation file was created.

    If you chose to view the presentation immediately, SAPShow is started and the presentation is opened.

  6. Choose Enter to acknowledge the system message in the dialog box.

You can also create an offline presentation from the Info Object List (Info object ® Miscellaneous ® Create Offline Presentation).

Result

The offline presentation file (*.KEP) is stored under the path you specified.

Depending on the settings you chose for the display of information objects, the offline presentation contains either the current versions of the information objects regardless of their status or the most recent versions that have status Released. You can change the settings for the display of information objects in the initial screen, in the Info Object List, and while editing a structure in the Knowledge Warehouse.


Navigating in Fullscreen Mode

Use

You can navigate in SAPShow’s full-screen mode with this procedure.

Prerequisites

You opened an offline presentation in SAPShow.

You are in fullscreen mode.

Procedure

To navigate in fullscreen mode, move the splitter bar (at the right or left edge of the screen).

Result

You see the structure of the presentation and can navigate in it.


Glossary

Finding terms

To search for a glossary term, enter the term in the text field of the Index tab.

To search for a term in the full text, enter the term in the text field of the Search tab, and press Enter or the pushbutton List Topics.

Displaying terms

To display a term highlighted in the list box, double-click on it or press the pushbutton Display.


HTML-Help-Viewer Help

Use

With the HTML-Help-Viewer you can view SAP Online Help in file format Compiled-HTML (*.CHM).

Features

The HTML-Help-Viewer help comprises:

  • A topic window for displaying the current help document.
  • A navigation window for displaying the current table of contents, the keyword search and the full-text search. (The navigation window can be hidden or shown: Hide/Show.)
  • A toolbar containing navigation and print functions, etc.

If you go to other help files in the online help navigation, other HTML-Help-Viewer instances are opened. These instances can be closed individually. If you close the initial instance, all viewer instances are closed.

To go to the first page of the online help, choose Home. You have access to the entire documentation from there: SAP Library, Glossary, Implementation Guide (IMG) and Release Notes.

Finding Help Documents

To find help documents:

  1. Navigate in the table of contents tree structure (Contents tab)

- To expand or collapse all branches of the table of contents tree, click the right-hand mouse key in the navigation window and choose Expand all or Collapse all in the context menu.

- To move backwards and forwards in a navigation path, choose Back or Forward in the toolbar. This applies to the navigation path within an HTML-Help-Viewer instance.

- To display only the entries for particular info classes in the table of contents, click the right-hand mouse key in the navigation window and choose Customize... in the context menu. Specify in the following dialog which info classes are to appear in the table of contents.
  2. Perform a keyword search (Index tab)

The complete index is displayed if you are in the SAP Library; the index of the current help file is displayed if you are in another help file.

The first time that the global SAP Library keyword search is called, the complete index is created and written into a file (ca. 8 MB). This can take up to twenty minutes, depending on the configuration of your PC. The index is loaded much more quickly in subsequent global keyword searches.

Select an entry in the list of keywords and choose Display.
If the selected keyword is assigned to only one help document, that document is displayed. Otherwise a list of documents found is offered for selection.

As Release Notes and IMG have no keywords, only full-text search is possible for them.
  3. Perform a full-text search (Search tab)

Enter a search request and choose List Topics.
All documents are searched if you are in the SAP Library; only the documents in the current help file are searched if you are in another help file. The documents found are listed for selection.

To make complex searches:

- Use the place holder ? for single characters and * for character strings in search terms.

- Match similar words

- Combine search terms with the operators:

· AND (all terms appear in the document)

· OR (at least one of the terms appears in the document)

· OR (the term does not appear in the document)

· NEAR (the terms occur close together, such as in the same sentence in the document)

- Restrict the search to document titles ( Search titles only)

- Restrict the search to the set of documents found in the previous search ( Search previous results)

A global search in the SAP Library, in particular full-text search, requires a large amount of main memory. Global full-text search should only be used if the help files are on the local hard disk.

Finding the Current Help Document in the Table of Contents

If you found the current topic by search or hyperlink, the position of the topic in the table of contents is not displayed. To find the topic in the table of contents, choose Locate in the toolbar.

If you found the current topic by a global (full-text or keyword) search in the SAP Library, the help file containing the topic must first be found. Click on the Locate icon in the topic title. Then choose Locate in the toolbar to expand the help file table of contents and find the position of the topic.

Printing Help Documents

You can print individual help documents or several documents at the same time:

  • To print the current topic, choose Print with the option Print the selected topic.
  • To print the current topic and all its subtopics, choose Print with the option Print the selected heading and all subtopics.


SAP Online Help - Homepage

Glossary

Getting Started with R/3

Release Notes

Implementation Guide

Release 4.5B, March 1999
© Copyright SAP AG. All rights reserved.


Broken link

Error: Broken link

You tried to follow a link that points to an unknown target document.